GNU bug report logs - #58447
[PATCH] In project-find-file, add absolute file name to history

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Augusto Stoffel <arstoffel@HIDDEN>; Keywords: patch; dated Tue, 11 Oct 2022 18:30:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 1 Nov 2022 22:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 18:14:27 2022
Received: from localhost ([127.0.0.1]:44371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1opzWd-0003Bt-Ah
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2022 18:14:27 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:41770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1opzWb-0003Bf-W3
 for 58447 <at> debbugs.gnu.org; Tue, 01 Nov 2022 18:14:26 -0400
Received: by mail-wr1-f52.google.com with SMTP id w14so21995107wru.8
 for <58447 <at> debbugs.gnu.org>; Tue, 01 Nov 2022 15:14:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=Y9OZF+PBhFKMbF4xcd9/ay2F1cCM5vaw2NVlEPPjgp8=;
 b=kY+o2TCgUOxr/okqSmfD3ztsB9S04MsymeQZPq7Kim2W4fVu0Lb5xGUgd0qNznEDbv
 aPpXwQH9aqymofq4RDPVMoeI/5q/S317cZl3Lv7eBvyV4nxeVAWSlWQHVyi9JqtgcGun
 EGKQR/d4hf9s7/OE9vl+xoV/V+s470MeGKmYh0h1O8xB03zhSF9YYKzoRpel4Q3wAiMD
 5Lvlhyd5G6wL2bKoJOUw8BJJJ/Mcg9tnwikH7js9KkYqvNBiKL4uTzyXZhvspPGHqlFA
 sKTu4mbFKxR2ztEqstdNX7J83k8bgxjS9BLCF23ATOXrwPUafpBGvtIWqdodN/UGVrPE
 DETQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=Y9OZF+PBhFKMbF4xcd9/ay2F1cCM5vaw2NVlEPPjgp8=;
 b=v88k9DFLJj53Wgd4lE+x46R156nna3fdnK6PVpPEMAo8NHKW2fxorxwEAyFwA4SgVU
 CR3thcb0YmCb16EFZ2u6e6WLLSPAK1cGY8lZsxIdohVAHagHrTj5OMe/ind/ge+y+vN6
 C7EwoUlvkoqcsxwn5E4eYUsvhB95jzwpjNxUt4IJmZgeC9KgB5QMrtPWeAo/H49Hepk4
 lUhGwA760Nse8jhOM1gBD2jk+A0PshqpuftzuWOBvEEwWjEUynCgdnrrD6K9L2RLaIg4
 0yI/0xei455xIpdnoHyCGSjWQu7ZozRDx15bQtAGv+C/YP7VflCJzpfqYry/N5vULKWQ
 bqrQ==
X-Gm-Message-State: ACrzQf0NisEw32Kuknqn5xeS/6piR1k6upRhqcwVIMMDfFMZ9iAqutdG
 m29Og0WbQKG/yFjLsLiPCCg=
X-Google-Smtp-Source: AMsMyM76UPrFrLet1dGjZrPzbBF7+IPdMJoghR3bOX1SHDp+kcpttOQjVv9Eunvu7DjnOde2WF2zqw==
X-Received: by 2002:a05:6000:2c1:b0:236:d474:f053 with SMTP id
 o1-20020a05600002c100b00236d474f053mr6776441wry.517.1667340860128; 
 Tue, 01 Nov 2022 15:14:20 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 e10-20020a5d594a000000b00236e9755c02sm1853564wri.111.2022.11.01.15.14.19
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 01 Nov 2022 15:14:19 -0700 (PDT)
Message-ID: <336bb987-39c4-d911-8b07-7dd5cbae19c2@HIDDEN>
Date: Wed, 2 Nov 2022 00:14:18 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Juri Linkov <juri@HIDDEN>, Augusto Stoffel <arstoffel@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN> <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN> <864jvphx4r.fsf@HIDDEN>
 <d49c568c-0377-436f-bf8e-96966719d3bc@HIDDEN>
 <86tu3mftm0.fsf@HIDDEN>
 <c240f4ad-f6f0-c4e5-0891-d146fbc08b5b@HIDDEN> <875yg0to11.fsf@HIDDEN>
 <86zgdalj0h.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <86zgdalj0h.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 01.11.2022 19:30, Juri Linkov wrote:
>> I'm not quite sure what Juri meant here.  If from some project I do
>>
>>    C-x p f /tmp RET RET
>>
>> then Emacs opens the /tmp dired buffer (RET twice because REQUIRE-MATCH
>> is 'confirm), as I think it should.
> Actually, that [Confirm] part is not quite a hassle, so your patch
> already handles that in both ways, thanks for this.

Thanks for verifying.

LGTM then.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 1 Nov 2022 17:37:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 13:37:23 2022
Received: from localhost ([127.0.0.1]:44153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1opvCV-0002V8-Gw
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2022 13:37:23 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:43459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1opvCT-0002Us-AP
 for 58447 <at> debbugs.gnu.org; Tue, 01 Nov 2022 13:37:21 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 0275EFF802;
 Tue,  1 Nov 2022 17:37:10 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Augusto Stoffel <arstoffel@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <875yg0to11.fsf@HIDDEN> (Augusto Stoffel's message of "Mon, 31
 Oct 2022 09:06:50 +0100")
Organization: LINKOV.NET
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN>
 <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN> <864jvphx4r.fsf@HIDDEN>
 <d49c568c-0377-436f-bf8e-96966719d3bc@HIDDEN>
 <86tu3mftm0.fsf@HIDDEN>
 <c240f4ad-f6f0-c4e5-0891-d146fbc08b5b@HIDDEN>
 <875yg0to11.fsf@HIDDEN>
Date: Tue, 01 Nov 2022 19:30:54 +0200
Message-ID: <86zgdalj0h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I'm not quite sure what Juri meant here.  If from some project I do
>
>   C-x p f /tmp RET RET
>
> then Emacs opens the /tmp dired buffer (RET twice because REQUIRE-MATCH
> is 'confirm), as I think it should.

Actually, that [Confirm] part is not quite a hassle, so your patch
already handles that in both ways, thanks for this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 31 Oct 2022 08:07:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 31 04:07:02 2022
Received: from localhost ([127.0.0.1]:39429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1opPoz-00082l-QM
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2022 04:07:02 -0400
Received: from mail-ej1-f41.google.com ([209.85.218.41]:45870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arstoffel@HIDDEN>) id 1opPox-00082W-R8
 for 58447 <at> debbugs.gnu.org; Mon, 31 Oct 2022 04:07:00 -0400
Received: by mail-ej1-f41.google.com with SMTP id sc25so27332577ejc.12
 for <58447 <at> debbugs.gnu.org>; Mon, 31 Oct 2022 01:06:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=o1rvs/3JzxoGo9wmZ3g6CY1eQ9wHUz1QS00fvG7n39s=;
 b=WuysLlW+dYmJtRIoQe6vum6i+v0D9718OQab0faUzZiRLVJRMscWKdQQWo2l4vFyQA
 5tVQiQ2yAq0/w5DETm/J2B6Ml5r19E6hqt5UgGR+/jISMGbunQ1ojEz1jnubv/GNQ/Q5
 AO8FCS9lxaPUPUaBWh3FPFX7SS4utLc7RofGJmCcfMj3xJgMDAmvMu8CGvkwiZWJXF6x
 3UyeBWD6pLUpPm1Ox81/QBO3G3UeUm66+QAdaG8Ehafq8veoQtCfPtf4LRKxWCt3ZqSe
 dB2O3qyF8FdeEpDZ5/YLzrs2sBSN7TiI26/Jw5alXT1R2KBDaq09FqHIG72BbLpfSW77
 s4jQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=o1rvs/3JzxoGo9wmZ3g6CY1eQ9wHUz1QS00fvG7n39s=;
 b=CVyU/xtzbeipVAS9c0OcSzXSFHrc/pdtUJxoYUL2NxyZof9dAc/hCcF4J59S5BuhgA
 nLk1GOyRhVtv+1irOTymPCmevbNzccXHHHlqVKhsZSm8C/F27dA4pw7AyGscjXjNutkL
 jRkpHFKXbFqv15i60Sa/J2bL+H+tFJR1asaukAbOUMqKEuqd3cF/wNURkE3WzOzyXy0w
 sQzKLJxpA4Mwcbk5Ebr7GfuoNczQatw9dbfPcCLTSyAvQDid1toK0QUg2PrIdYL+bD2p
 eNmuebOxnvvlOgQL4n6PmjhVu5JfhpOT+8vFVkHIebNb5gptqFDhPnn0AX2a5PrjoeO2
 4xlg==
X-Gm-Message-State: ACrzQf2BIs1vdpTBDntlBSXaXVjBrvAck/upRw7i0CNqHlantxI9pojQ
 /RAyuzVhesfZYP18tECFetTtWHioc/M=
X-Google-Smtp-Source: AMsMyM7is+qZla3PTvgug6XE0DR4BUXl7WjN8fwQxHZXFQbFuMRn/5po5UT19URzqfBCSBwv4FBdkA==
X-Received: by 2002:a17:907:3f28:b0:7ad:88f8:7644 with SMTP id
 hq40-20020a1709073f2800b007ad88f87644mr11508070ejc.738.1667203612512; 
 Mon, 31 Oct 2022 01:06:52 -0700 (PDT)
Received: from ars3 ([2a02:8109:8ac0:56d0::89aa])
 by smtp.gmail.com with ESMTPSA id
 g6-20020aa7c586000000b00461c6e8453dsm2924625edq.23.2022.10.31.01.06.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 31 Oct 2022 01:06:51 -0700 (PDT)
From: Augusto Stoffel <arstoffel@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Juri Linkov <juri@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <c240f4ad-f6f0-c4e5-0891-d146fbc08b5b@HIDDEN> (Dmitry Gutov's
 message of "Sun, 30 Oct 2022 21:42:46 +0200")
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN>
 <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN> <864jvphx4r.fsf@HIDDEN>
 <d49c568c-0377-436f-bf8e-96966719d3bc@HIDDEN>
 <86tu3mftm0.fsf@HIDDEN>
 <c240f4ad-f6f0-c4e5-0891-d146fbc08b5b@HIDDEN>
Date: Mon, 31 Oct 2022 09:06:50 +0100
Message-ID: <875yg0to11.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, 30 Oct 2022 at 21:42, Dmitry Gutov wrote:

> On 29.10.2022 20:45, Juri Linkov wrote:
>>>> But please note that the same problem exists in both ways:
>>>> when trying to revisit an absolute file names previously visited
>>>> by 'C-x C-f', then 'C-x p f' fails on absolute file names.
>>> Does Augusto's patch from the first message make things better for you?
>> Augusto's patch makes things better, but fails to read absolute file names.
>> To fix this, project--read-file-cpd-relative also need to accept absolute
>> file names.
>
> Augusto, what do you say to that?

I'm not quite sure what Juri meant here.  If from some project I do

  C-x p f /tmp RET RET

then Emacs opens the /tmp dired buffer (RET twice because REQUIRE-MATCH
is 'confirm), as I think it should.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 30 Oct 2022 19:42:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 30 15:42:55 2022
Received: from localhost ([127.0.0.1]:39045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1opECt-000650-Ny
	for submit <at> debbugs.gnu.org; Sun, 30 Oct 2022 15:42:55 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:40679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1opECs-00064m-JZ
 for 58447 <at> debbugs.gnu.org; Sun, 30 Oct 2022 15:42:55 -0400
Received: by mail-wr1-f53.google.com with SMTP id z14so13323529wrn.7
 for <58447 <at> debbugs.gnu.org>; Sun, 30 Oct 2022 12:42:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=kVjPJZuter8j5u/tFhZXydCboXXuNPFCfGerMS0ix0A=;
 b=WcdibTruW5D4IsEZubtgdzjnc+WtuucESQlCoI1/agYN4nixA45wWBB9EBHHXSCqex
 MTORef1+jY/XUkAW4mYya+QoviWkaShYOOiHeTh2tqXwNv6IUT33sd/+txNOnNYnl0Sp
 DXf3dGUwRfh1BM+kwOdiJNUGJDjZ3r93NMv5RqVGAn1P8tge4yv1usW4p8ML/ikF+Sb3
 ICjcSIpvF410RbhvwApCDlFrtYvzPpWKUHXbBJJ71Dc3CrAFguV5Eb+TVoB/qJ540VmI
 bCJ7xPwbRdyiEwcJ+V2SgRHz1HMvtWu2MHwnjrEJdSsaRfia4emU51jr7heRKApXBMUK
 qtaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=kVjPJZuter8j5u/tFhZXydCboXXuNPFCfGerMS0ix0A=;
 b=VtUlvQjTLnwObuk0I0pyKJ2rCkODQ2qFuVAdT96yFjj47pJERthZWgzbQQ+9vEHeLr
 LCG3M1B622s3MHgAVnN/OliELYpp5UlalbB3h83Y6Pq6NRCGm7QHggDDIYzwWwXHQ3I9
 6K2gq8aI36G+WJW7k3WOF/C4YPsCsl//MoJd28UMGQk8BYjtj6nbGE+5wxbhGBrBLe/x
 wmmMG5gRKHQ0VnHqQQ/kRKS8tFMeYbuERtKyhjQRZTa1AV87sReuf/z5EIVxKdrxX+nH
 BIp2Ju3hrA2mgv+YQYlr2gjzDYaEX75xQ3/vjrL3CT6uqLybjtjN8Log0YDifTba0piK
 fc3A==
X-Gm-Message-State: ACrzQf2o9J3YUfqBnrW/FnJhkssB+w3cAo5GRE8WW7ZP0oOxeyGh/81x
 2pTNl4C8rEtOlE3l4W6TQCo=
X-Google-Smtp-Source: AMsMyM6Ba6Xm9X2v9/K8duTVd1ilohqymrjZkYZqQaJFW5nMecj9UCmqk7MLYXTe9xFIRWAyxvLXOQ==
X-Received: by 2002:a05:6000:184:b0:236:7685:7e6d with SMTP id
 p4-20020a056000018400b0023676857e6dmr5721947wrx.305.1667158968623; 
 Sun, 30 Oct 2022 12:42:48 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 z17-20020a05600c0a1100b003b492753826sm5135093wmp.43.2022.10.30.12.42.47
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 30 Oct 2022 12:42:48 -0700 (PDT)
Message-ID: <c240f4ad-f6f0-c4e5-0891-d146fbc08b5b@HIDDEN>
Date: Sun, 30 Oct 2022 21:42:46 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Juri Linkov <juri@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN> <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN> <864jvphx4r.fsf@HIDDEN>
 <d49c568c-0377-436f-bf8e-96966719d3bc@HIDDEN>
 <86tu3mftm0.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <86tu3mftm0.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, Augusto Stoffel <arstoffel@HIDDEN>,
 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 29.10.2022 20:45, Juri Linkov wrote:
>>> But please note that the same problem exists in both ways:
>>> when trying to revisit an absolute file names previously visited
>>> by 'C-x C-f', then 'C-x p f' fails on absolute file names.
>> Does Augusto's patch from the first message make things better for you?
> Augusto's patch makes things better, but fails to read absolute file names.
> To fix this, project--read-file-cpd-relative also need to accept absolute
> file names.

Augusto, what do you say to that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 29 Oct 2022 17:56:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 29 13:56:57 2022
Received: from localhost ([127.0.0.1]:36553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooq4n-0001pU-DU
	for submit <at> debbugs.gnu.org; Sat, 29 Oct 2022 13:56:57 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:50335)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ooq4k-0001pB-Bk
 for 58447 <at> debbugs.gnu.org; Sat, 29 Oct 2022 13:56:56 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id C3487C0004;
 Sat, 29 Oct 2022 17:56:46 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <d49c568c-0377-436f-bf8e-96966719d3bc@HIDDEN> (Dmitry Gutov's
 message of "Fri, 28 Oct 2022 21:11:58 +0300")
Organization: LINKOV.NET
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN>
 <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN> <864jvphx4r.fsf@HIDDEN>
 <d49c568c-0377-436f-bf8e-96966719d3bc@HIDDEN>
Date: Sat, 29 Oct 2022 20:45:27 +0300
Message-ID: <86tu3mftm0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, Augusto Stoffel <arstoffel@HIDDEN>,
 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> But please note that the same problem exists in both ways:
>> when trying to revisit an absolute file names previously visited
>> by 'C-x C-f', then 'C-x p f' fails on absolute file names.
>
> Does Augusto's patch from the first message make things better for you?

Augusto's patch makes things better, but fails to read absolute file names.
To fix this, project--read-file-cpd-relative also need to accept absolute
file names.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 28 Oct 2022 18:12:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 28 14:12:08 2022
Received: from localhost ([127.0.0.1]:34235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooTpw-0000Eq-IV
	for submit <at> debbugs.gnu.org; Fri, 28 Oct 2022 14:12:08 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:44956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ooTpu-0000EL-GA
 for 58447 <at> debbugs.gnu.org; Fri, 28 Oct 2022 14:12:07 -0400
Received: by mail-wr1-f48.google.com with SMTP id v1so7619481wrt.11
 for <58447 <at> debbugs.gnu.org>; Fri, 28 Oct 2022 11:12:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=3G5J+ubP8fd8A+y4Lob+smB5QULUWYtHeX75s2QFYuM=;
 b=gOQRtGMX/IEfWBkTzxBTdiNeH4ZxzNpQV5N947IhD3z3Vke81PqWbrl2vfhW4RPgiE
 eVkQB2HvxkxfYooeeQyeeJFAzavBGexo2ZU/munCRW4CKciH8n3fQiy7Ojf2OmtGr8EK
 Mq+QsMQwaf18gKZtcW7Wv0lFzZiozJsC/edpCtQQETJKVEsrD7qRmG2ZRSth/L/X2kld
 oFxpZIN/tt7BnY97kcEpcXOW9yElioyGb5Hs96/rR0vCv3svEMtgikc8BUWwjLHAhGjj
 WOkNOR95aLkjDKYRHFxy4GhQmZTEWRxabtOxtyRe9DcLCHiE8J3c5dvsw28tZJC54Io+
 I61A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=3G5J+ubP8fd8A+y4Lob+smB5QULUWYtHeX75s2QFYuM=;
 b=t+ek6MFqOGz28lWyV88rKs175j5dXdg7QG43A94dXkNDKKs9NhfM40a9Q5YaZ8D1a3
 nPG3ZSL+UaYFqqt4eLxZXDLiRypiSAUcVnkZa2QoLNyReKmKE2JNGUpAY1BRZqznZCBU
 +JFArsQC9FI09RFOLkxXKtZ8wtl55eAph4mlO3Mj7/aS0UriwFdpO0lw8Bsp6LqjPsZX
 ucoPmKgYsAeEQC5W23rSTyjiiV7kWcccqlzlrlDrpMOyFbK7mbFpjucTAI55Exw+lqrM
 rQ+jQnD5givnSEXLTltQK0UirxQrnzqDv/8ql+NZK3s/d4DCZyBdL6+oYXH01LZyXsb5
 7fsw==
X-Gm-Message-State: ACrzQf2079b0ekvzb6ghbeIMLLcO08eXDQoAunj3fUpSB6rmfaeL7xmL
 Dc1LKDFFNsAJucY9cmuNpJU=
X-Google-Smtp-Source: AMsMyM59v9Xxi2YilsFAfpKbVlQy9KifgI+K2G6vXPQqv9Qbr090DiO2+aYGMiC7p2Flc6Or/Of4Fw==
X-Received: by 2002:a05:6000:a09:b0:236:6b18:6b30 with SMTP id
 co9-20020a0560000a0900b002366b186b30mr410451wrb.356.1666980720164; 
 Fri, 28 Oct 2022 11:12:00 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 d12-20020adfe88c000000b0022e3538d305sm4962239wrm.117.2022.10.28.11.11.59
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 28 Oct 2022 11:12:00 -0700 (PDT)
Message-ID: <d49c568c-0377-436f-bf8e-96966719d3bc@HIDDEN>
Date: Fri, 28 Oct 2022 21:11:58 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Juri Linkov <juri@HIDDEN>, Augusto Stoffel <arstoffel@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN> <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN> <864jvphx4r.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <864jvphx4r.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi Juri,

On 27.10.2022 22:41, Juri Linkov wrote:
> But please note that the same problem exists in both ways:
> when trying to revisit an absolute file names previously visited
> by 'C-x C-f', then 'C-x p f' fails on absolute file names.

Does Augusto's patch from the first message make things better for you?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 19:51:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 15:51:55 2022
Received: from localhost ([127.0.0.1]:59430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo8ux-000120-9r
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:51:55 -0400
Received: from mail-wm1-f53.google.com ([209.85.128.53]:40958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1oo8uv-00011m-Lx
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:51:54 -0400
Received: by mail-wm1-f53.google.com with SMTP id
 v130-20020a1cac88000000b003bcde03bd44so4937582wme.5
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 12:51:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=gz1AKmipZG1f12Rg3b/7d+eb1NJTxtk/ZNKms1CP9yE=;
 b=eIvfyGea949eyrmezBBtD33WD1GjPCMDHHDJ0eHqRzLpiisdUO+3qNtPmc1LSgQT6u
 cfpPBsCWk5NDZBWQObStepIubKjMUC9Zq8S5cr5B8g4RiU6aaiOK8oPERRe9+pZpqD/b
 +hRq/zs39QNbK4Zs52T8x7edAohZvECLRjopo0ZGt83r9ppJlhSGTFRsu9QGbboGL9j5
 Vz248Hls+P7wSMFbOLH4cH5Q9buox4Hb+IuXAW5cqD2Mt73ENDd0UH9NbM4xcAAnlL3w
 04D/NWtgkYsLUpQMUkvGRadFLVLGEZW7Uid2a9kna17fIoMQ7qq+2Vl4F08/1QBca0R7
 JG/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=gz1AKmipZG1f12Rg3b/7d+eb1NJTxtk/ZNKms1CP9yE=;
 b=EtNo55OAdjoEVws5TIjYU/hnQLM9Bj2h1acr3ixOHYGmEPOpQyl/7zJ+Yjp+uIyXfv
 W5iB9BFscoZ3SmKdRzkRwLWoV94JfyaFSS4c5ioHuAC4K9kYclrcmKlIgc7We2Faeo+j
 jeyMxGZZYeoTmNTz2IqOlzYemuMRmMD5n1Jz0SNVhl85Exhz1uT/TA9EGYZJ2cY7JJMi
 AVpSGCxGI7K+/eAceJvmddREMydhgrZ1WDZdh3yF6PA9CXdhboLsGyJp7AX5POyhEMDD
 UkD0BifROMkNmhuUaDItF2NeGVSmdj5CMFioXVFCK7/roEBqb7VHEQmC9tDJUgAUkKuy
 j1PQ==
X-Gm-Message-State: ACrzQf2C6/h/5nxLy5avnjUEZF4XN0r7I7xO8bExRzkNUpnyrpjjF7rD
 S/QnHJqqx9bQWUiP7Ub0Mj8=
X-Google-Smtp-Source: AMsMyM4NW/F+zZuFZwDMs1/g/x3zhpQkT+CAF4UDprLpSh0T3drWTkduSzGfajdvEhaBt6RSBHizKw==
X-Received: by 2002:a05:600c:1c8f:b0:3c6:d732:9d6 with SMTP id
 k15-20020a05600c1c8f00b003c6d73209d6mr6967130wms.23.1666900307397; 
 Thu, 27 Oct 2022 12:51:47 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 bk13-20020a0560001d8d00b0023677693532sm2002957wrb.14.2022.10.27.12.51.46
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Oct 2022 12:51:47 -0700 (PDT)
Message-ID: <f79e2e28-d0e1-fdad-34c6-976831146ad2@HIDDEN>
Date: Thu, 27 Oct 2022 22:51:45 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Augusto Stoffel <arstoffel@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN> <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN> <7c28a8f6-fc02-8519-664f-01f7d121d74a@HIDDEN>
 <87fsf9i4xc.fsf@HIDDEN> <d0272edd-52bf-1cb8-2aca-9bac7c981275@HIDDEN>
 <877d0li2dh.fsf@HIDDEN> <d5db31c0-014b-eddb-07e8-a8573ef9e213@HIDDEN>
 <87y1t1gmoy.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <87y1t1gmoy.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 27.10.2022 21:12, Augusto Stoffel wrote:
>> But what if that absolute name comes from a different project?
> In my patch it will just find that file.  Alternatively we could throw
> an error, but I don't see a point in doing that.

OK, if that is the behavior you want, I don't mind.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 19:45:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 15:45:02 2022
Received: from localhost ([127.0.0.1]:59422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo8oI-00078W-2f
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:45:02 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:46849)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1oo8oG-00076b-4o
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 15:45:00 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 38C8A240008;
 Thu, 27 Oct 2022 19:44:51 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Augusto Stoffel <arstoffel@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <87k04li5nw.fsf@HIDDEN> (Augusto Stoffel's message of "Thu, 27
 Oct 2022 18:37:39 +0200")
Organization: LINKOV.NET
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN>
 <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN>
Date: Thu, 27 Oct 2022 22:41:56 +0300
Message-ID: <864jvphx4r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I think the idea of per-project histories is an interesting feature that
> requires some careful design, but note that there is a bug in
> project-find-file that should ideally be fixed for Emacs 29 (namely, it
> pollutes the find-file history by adding non-absolute file names to it).
>
> The patch in my original message fixes this and shouldn't complicate a
> future implementation of the per-project histories.

Would be nice to fix this.  The problem that I have is that when a file
visited by 'C-x p f non-absolute/filename' needs to be revisited later,
then the quickest way is with 'C-x C-f M-p', but currently it fails
with non-absolute file names.

But please note that the same problem exists in both ways:
when trying to revisit an absolute file names previously visited
by 'C-x C-f', then 'C-x p f' fails on absolute file names.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 18:12:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 14:12:56 2022
Received: from localhost ([127.0.0.1]:59282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo7NA-0004iJ-11
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:12:56 -0400
Received: from mail-ed1-f47.google.com ([209.85.208.47]:37731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arstoffel@HIDDEN>) id 1oo7N7-0004i4-Dq
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:12:54 -0400
Received: by mail-ed1-f47.google.com with SMTP id l11so3021516edb.4
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 11:12:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=DZHkyNGEow6ucHGwyZ36nT2PC/gRdeZBwwD1PR7KnwQ=;
 b=Ne2afxIhlMVKVAJTSgaGiQz6YmnrvH9GSNA2bYqaE+wfG7txkH+vvYjDgAbROCVEg3
 rpSWufwQiiOOLufoG0UmsInfr409MzwGq67UHAMURNRmZlapvlgryxR31J3VlPR05xD+
 FsrV8VQgCOngogxWaGr8BAHYyWMA431wL4GA0NliTN+HHcNCKOtBbeL1iedrR2BWL55Y
 GWqb3yzupiEs+8McSAPSNtqtyc1KcB82tY56MFBxIzyWhAs+4YcDXemLJZ3I+ulu2/nK
 qtYQv/tcsMhIyEIswaapKAuk20+OcuqlvpXAQZ5Fnl5jtqJWwwIsE8/bYCaThFuZZuY9
 t+Lw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=DZHkyNGEow6ucHGwyZ36nT2PC/gRdeZBwwD1PR7KnwQ=;
 b=QpOT09CLOYvM46Q/NJvIdj2gNnCKd+RkseW/hoXLOEK9P1o+sq6Pu6eDwsJ5daX0QY
 LEixHOotSSoeDwgxcoe/Hpv4MxENxb4BvsM7ygOQd4rO0+BpKfAJ6sJcwK57uDw+c/uG
 DyIr2cbK/ZfV/HNkr8l84t3ggMJN5iQ7HyUYdOFPPo9mKavBXNOU94e/qaiqonlzQv/K
 T0FqAhCgag+QpOQZkpHJorJg9+P65ZzXbNl6nOG+Hq5PKG1ogw1/T50Z0ywyrMWb1DTh
 dKEyLgessQBZCq+ovK7z6pS8/4dmIpv1k1GaY0FHxDPjreYqXacUJug48d+SkDtysVkp
 Be2w==
X-Gm-Message-State: ACrzQf1h129MlCTO8DqQaqXX6TmQFb1/c+neJkG0S2A9UX4xaQ+78Dwq
 n7nquyTBVweox3sB0MQs2/WOSk15t5I=
X-Google-Smtp-Source: AMsMyM7WmfrUvYclbmD2hoW5APKMxh0b5BSm5I6pm/g9Yhnf+AUPMa7lcZGf+aZnd9Kg2WlnWZ3Nhg==
X-Received: by 2002:a05:6402:2893:b0:461:59fd:9b4 with SMTP id
 eg19-20020a056402289300b0046159fd09b4mr30271468edb.389.1666894366985; 
 Thu, 27 Oct 2022 11:12:46 -0700 (PDT)
Received: from ars3 ([2a02:8109:8ac0:56d0::89aa])
 by smtp.gmail.com with ESMTPSA id
 v5-20020aa7d9c5000000b004580862ffdbsm1351840eds.59.2022.10.27.11.12.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Oct 2022 11:12:46 -0700 (PDT)
From: Augusto Stoffel <arstoffel@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <d5db31c0-014b-eddb-07e8-a8573ef9e213@HIDDEN> (Dmitry Gutov's
 message of "Thu, 27 Oct 2022 21:05:07 +0300")
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN>
 <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN>
 <7c28a8f6-fc02-8519-664f-01f7d121d74a@HIDDEN>
 <87fsf9i4xc.fsf@HIDDEN>
 <d0272edd-52bf-1cb8-2aca-9bac7c981275@HIDDEN>
 <877d0li2dh.fsf@HIDDEN>
 <d5db31c0-014b-eddb-07e8-a8573ef9e213@HIDDEN>
Date: Thu, 27 Oct 2022 20:12:45 +0200
Message-ID: <87y1t1gmoy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 27 Oct 2022 at 21:05, Dmitry Gutov wrote:

> On 27.10.2022 20:48, Augusto Stoffel wrote:
>>> Can it handle the absolute values there?
>> The completing read reads a file name, the relname; if it's relative,
>> then it's expanded to an absolute name (the absname).  If for whatever
>> reason the relname was already absolute, then absname will be equal to
>> relname (what else could you do, right?)
>
> The completion table won't match absolute names. But okay,
> require-match is nil there, so any arbitrary input will be accepted.

Right.

> But what if that absolute name comes from a different project?

In my patch it will just find that file.  Alternatively we could throw
an error, but I don't see a point in doing that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 18:05:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 14:05:17 2022
Received: from localhost ([127.0.0.1]:59277 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo7Fk-0004Xi-WB
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:05:17 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:41498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1oo7Fj-0004XS-7z
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 14:05:16 -0400
Received: by mail-wr1-f43.google.com with SMTP id w14so3549185wru.8
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 11:05:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=zdbtXpL2SxxE1Mkuylnqu6U9afSudZTZHdnkLnoCnPw=;
 b=CWqyxX36RifcDXHCthoIQFnN/FOmghkZI+y5hLxsivZ3Csct+qlaCFfhdGn1HK8wA9
 KOOEl1IW19DXClMU7ftKcF5NuNFGj45zuzwe3GMbYUW6ZZMYBY6X5ER++6yBYNWsqtEB
 xG+uNR1lzjdSkMW2D0y6SMN6eKY9jDsqo/ucawpsShdw/htj+vETUKEoH1LvSs1BepHr
 /SKt0t5sDM6pb3kgtXEE7HAYrN/7xBO8t/GuLvhnyGnFDLouIuazwIoZwJwYHdWKwwBh
 oICAD0k+CulF763VvTplpoGrVfvVZb4aU8CRnRjCGASFviXaCprTOOCPdFIi60uhb1hU
 6siw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=zdbtXpL2SxxE1Mkuylnqu6U9afSudZTZHdnkLnoCnPw=;
 b=hLkpJlP8a49e1XkTQLY/kfDpM1gmfu9r+DxBGC4deQVUPT5PtkzmoEVG1/P40UZAYV
 KF96/KaJKkcRRCOdiKk6a+xfF3lMdYyDC1pHKJbObiPBkwHWLo2BGdxoh+H3qCsXw2+s
 q9JCOdV5AJVvEzjLSepVNKOlVroYnu0YUlwx8irnnh6x06tYaBjnzT42AqbvWAmB12m4
 b6KQGPd1/n+v0fVpkbZLvSOgPYQq4S8DPERwlwd/rlAaWoxgMPfLzTI1Qr+TVNPHWFE4
 Wv+kM3p+F9LmtmgeL/bH9F9X5Jb42y7QBPe924x8MynrlMmIFSBRRG0gKKlNINng15Np
 zRyw==
X-Gm-Message-State: ACrzQf1ELO0WC2+fLf7dnBQF600PLgDvHQ9XRdmR8rMuTrdIK97w80/b
 oMHAp8Ein5k1uzz8too73+Q=
X-Google-Smtp-Source: AMsMyM7LYR1/aEzR/eHiqbwtRihFrMh5Qn/upIX3NNw0fmR9cX+SLKM66Ev8poNYSD7Ay4WfJ970vg==
X-Received: by 2002:a5d:64cd:0:b0:236:6c69:cf03 with SMTP id
 f13-20020a5d64cd000000b002366c69cf03mr15762622wri.101.1666893909294; 
 Thu, 27 Oct 2022 11:05:09 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 p15-20020a056000018f00b002258235bda3sm1732978wrx.61.2022.10.27.11.05.08
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Oct 2022 11:05:09 -0700 (PDT)
Message-ID: <d5db31c0-014b-eddb-07e8-a8573ef9e213@HIDDEN>
Date: Thu, 27 Oct 2022 21:05:07 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Augusto Stoffel <arstoffel@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN> <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN> <7c28a8f6-fc02-8519-664f-01f7d121d74a@HIDDEN>
 <87fsf9i4xc.fsf@HIDDEN> <d0272edd-52bf-1cb8-2aca-9bac7c981275@HIDDEN>
 <877d0li2dh.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <877d0li2dh.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 27.10.2022 20:48, Augusto Stoffel wrote:
>> Can it handle the absolute values there?
> The completing read reads a file name, the relname; if it's relative,
> then it's expanded to an absolute name (the absname).  If for whatever
> reason the relname was already absolute, then absname will be equal to
> relname (what else could you do, right?)

The completion table won't match absolute names. But okay, require-match 
is nil there, so any arbitrary input will be accepted.

But what if that absolute name comes from a different project?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 17:48:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 13:48:51 2022
Received: from localhost ([127.0.0.1]:59259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo6zr-00045U-3D
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 13:48:51 -0400
Received: from mail-ej1-f52.google.com ([209.85.218.52]:42599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arstoffel@HIDDEN>) id 1oo6zq-00045F-C1
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 13:48:50 -0400
Received: by mail-ej1-f52.google.com with SMTP id y14so6803161ejd.9
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 10:48:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=EsF8M1/aa4bCZBQf2D352wIdZCb09U7Us+e32ym2m3c=;
 b=WKGQmXGQSDeVs9z4E4OPboAIGG8xMAz+piJSaGTfg/kXGUsWUT0dhi+1DCNMf9IRpc
 Edv1lVo/dk7h77EXo3UhUd7ItulBm8v0UWeLUeW4L9mqg6ptOBFyDJ0AAo/9Es8foTNh
 v7Q9//hahZh8D4mc1hFihSh7pydVuWs96pZ2uhjBXFk+6pPhIYq0GmIcdp0jaF/6Z1qB
 hWRTHmtTQFx6H82QQ/fejJoqlPAIhMDDQbzAKaws9LYXa+A0EuCC4FPyeQkxenHev3CC
 WlUdvofnYOzMPCFtps6E4kAztBKx0hDzPSG6fXD4ppbngud7XM/qCTDhvq3ReJmASUmM
 Vb0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=EsF8M1/aa4bCZBQf2D352wIdZCb09U7Us+e32ym2m3c=;
 b=D3zcxlmZVStiaIb+aevxhc+V5h0AhrV1CEvmDwtGh/3w5sYOTPU/nGe2WvCVx8pax3
 kjNIElc8IGqUbkRYmKx6+L8O5jbEHxoSgnScZST23r4XaEF8zSAnnNXqVMCfV6bXv2S4
 gdCPkAdn/vm2a04orWfNYzgx6Xrfd4tz2fZWmRBEwjOl6Bi5VA+q1cW2uodELVxxrESg
 /Bd3hT9y17i7RibR0uA27FNQ0+UPbD95umnNJWT96WtvyEsgOoGJOj6we/oXwmZGNDlq
 0PcxT2wFuboKRUxdoH6OEpRrQsJU5Wey4ct5RTgbEx2YlJzQ8zyBP0wl7Z1eF5SYZqyM
 zQlw==
X-Gm-Message-State: ACrzQf33kxWQ7KwyNcRlS+8axZmI0QRxxDyLwNOQdLwYI/ZJO7SZ1ah1
 b/3Io/IlYqb/VEEk5K+MdEDGVQtFZL4=
X-Google-Smtp-Source: AMsMyM4RbwUV134q65b391iCOV456CJc4Bi/NEF1uKc0TCE30KTjMFJNk2yUxHHEcr9NfrBbmbn3EA==
X-Received: by 2002:a17:907:6087:b0:78d:ee99:a06a with SMTP id
 ht7-20020a170907608700b0078dee99a06amr43156596ejc.52.1666892924044; 
 Thu, 27 Oct 2022 10:48:44 -0700 (PDT)
Received: from ars3 ([2a02:8109:8ac0:56d0::89aa])
 by smtp.gmail.com with ESMTPSA id
 p21-20020a170906229500b0077086d2db8esm1126291eja.140.2022.10.27.10.48.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Oct 2022 10:48:43 -0700 (PDT)
From: Augusto Stoffel <arstoffel@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <d0272edd-52bf-1cb8-2aca-9bac7c981275@HIDDEN> (Dmitry Gutov's
 message of "Thu, 27 Oct 2022 20:34:18 +0300")
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN>
 <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN>
 <7c28a8f6-fc02-8519-664f-01f7d121d74a@HIDDEN>
 <87fsf9i4xc.fsf@HIDDEN>
 <d0272edd-52bf-1cb8-2aca-9bac7c981275@HIDDEN>
Date: Thu, 27 Oct 2022 19:48:42 +0200
Message-ID: <877d0li2dh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 27 Oct 2022 at 20:34, Dmitry Gutov wrote:

> On 27.10.2022 19:53, Augusto Stoffel wrote:
>> On Thu, 27 Oct 2022 at 19:48, Dmitry Gutov wrote:
>> 
>>> On 27.10.2022 19:37, Augusto Stoffel wrote:
>>>> The patch in my original message fixes this and shouldn't complicate a
>>>> future implementation of the per-project histories.
>>> OK. Are you sure that it doesn't add the relative name to the history still?
>>>
>>> AFAIU as long as hist is passed to project--completing-read-strict,
>>> the completing-read call in there will alter the history first.
>> Note that history-add-new-input is bound to nil at the appropriate
>> place in the patch.
>
> Ah, ok.
>
> But how is completing-read using the history var? Only reading past
> inputs?

Yes, completing-read will make past inputs available for selection but
not updated the history variable.  Then, a couple lines later in the
patch, we update the history manually:

    (when (and hist history-add-new-input)
      (add-to-history hist absname))

> Can it handle the absolute values there?

The completing read reads a file name, the relname; if it's relative,
then it's expanded to an absolute name (the absname).  If for whatever
reason the relname was already absolute, then absname will be equal to
relname (what else could you do, right?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 17:34:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 13:34:33 2022
Received: from localhost ([127.0.0.1]:59221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo6m0-0003ch-Sc
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 13:34:33 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:42677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1oo6lv-0003cD-8B
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 13:34:27 -0400
Received: by mail-wr1-f46.google.com with SMTP id bp11so3424471wrb.9
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 10:34:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=M8MU19V1hxaV97CQlkfjQ82IC6AcpsBBxu5XgZpflPw=;
 b=qjYMleuF7Zmlvk0XyGHeFA0rzJtj9okXuvJp6yjk13ievjqrHbxg6Y1voezaNdNbIp
 LMMrzMTM9T5dGZNuofN7qY0DwVsLITF11I+fGNgqetLhGJ+ZqNgrHNdfkwq/cORqwfhp
 lxXF2YNMjUnUFxOC0E0CkjlCPvKhlrMv6znWjYaFycFopc1cco3Z2Ycozxleycao/Wjv
 FUIFof90PUkKFL9wKWomB7z03WUXZABWuUCXaaYU2D9aSSpsJwyAh4JpcAuY24y/XnqU
 /b2Bxbodoh7sRO6x5X2exlXwFAeF07BtnbFQeReheFR9B1/zAz6p0DFAyBYl84XM5rvu
 owhw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=M8MU19V1hxaV97CQlkfjQ82IC6AcpsBBxu5XgZpflPw=;
 b=bldLEwyLW+7W9/WBAxlW3jgSPIEBjfZQ9sBb9HvANVbY0qIiJppd1+EBrqRK5y5SrK
 rP10Z52QZyPfoBJeEk8r/K+r8L1gqKsMI3cMqUdzmZA7n8/nE5Ze2RTwyss3SMI6w+iy
 Z4OBUANoo87HcXgOZAGZqLaIkWdAL7cNXoCheNY89l2gp+OrrAEfEaqoT9i3CjWoLO/S
 Xfzxky081EUvgqZrYQGPvlH+nKvarKrpQ/wdoSKTua8LUwIuJaMMNI+T+s8tHA4Tv2Po
 7VcWWcjd6ZraoncDrDpHJ9R6F2FuHcN7/RlWmP9i5UbcKU6N85CDMRiQ72wSKdleIHNT
 NXDQ==
X-Gm-Message-State: ACrzQf2OgNNNMaEa4fAlDL97R/tz3qNoC/vBtX0vodNVh/snB+h0K5Sm
 GBkH4mpsqWD+KUJ0mMzMyyY=
X-Google-Smtp-Source: AMsMyM6uF4Re8sEuDlFk/lbNGT+5rSdIzqQ0zPhCGQ4gNuoAnTxioDmzAmAAwAeCwDko+dJmRwXtoA==
X-Received: by 2002:adf:f7d2:0:b0:236:87bc:a8f7 with SMTP id
 a18-20020adff7d2000000b0023687bca8f7mr7993768wrq.579.1666892061217; 
 Thu, 27 Oct 2022 10:34:21 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 v12-20020a05600c15cc00b003c6cd82596esm4793421wmf.43.2022.10.27.10.34.19
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Oct 2022 10:34:20 -0700 (PDT)
Message-ID: <d0272edd-52bf-1cb8-2aca-9bac7c981275@HIDDEN>
Date: Thu, 27 Oct 2022 20:34:18 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Augusto Stoffel <arstoffel@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN> <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN> <7c28a8f6-fc02-8519-664f-01f7d121d74a@HIDDEN>
 <87fsf9i4xc.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <87fsf9i4xc.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 27.10.2022 19:53, Augusto Stoffel wrote:
> On Thu, 27 Oct 2022 at 19:48, Dmitry Gutov wrote:
> 
>> On 27.10.2022 19:37, Augusto Stoffel wrote:
>>> The patch in my original message fixes this and shouldn't complicate a
>>> future implementation of the per-project histories.
>> OK. Are you sure that it doesn't add the relative name to the history still?
>>
>> AFAIU as long as hist is passed to project--completing-read-strict,
>> the completing-read call in there will alter the history first.
> Note that history-add-new-input is bound to nil at the appropriate
> place in the patch.

Ah, ok.

But how is completing-read using the history var? Only reading past 
inputs? Can it handle the absolute values there?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 16:53:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 12:53:45 2022
Received: from localhost ([127.0.0.1]:59157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo68W-0002ZY-Kp
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:53:44 -0400
Received: from mail-ed1-f46.google.com ([209.85.208.46]:43751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arstoffel@HIDDEN>) id 1oo68V-0002ZK-K7
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:53:43 -0400
Received: by mail-ed1-f46.google.com with SMTP id i21so3804538edj.10
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 09:53:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=UGPp8DShqytZbFayAqlomE3A3HVkLhGW87vWz2DIaDg=;
 b=oDixXPPBFe0qSjtywBAq2t8HZqa8tvygj/OXvhpFBYl5Htwu4aqAhYMccgT4XUhf57
 5F/i0PRHL5TN8egp9AynBxmwD7PAAjvaTo8qZuoW0akXnheVxW7Uk6YE2F0CQB/20Fuz
 aU3M7DWLUsv8gbffgaUj3Y4OA4G6iyyePW9PdzQvOVExLUPoWPdbYpvRaLX3LKBNbp7Z
 e51iFStsJBI6RiInSQMeHtrSQj69PBYYMt024XqoQwofPQjGPlgsTXQ44ovXHuFtYVkc
 +0YAbsCPk7rPf7/0x2y8bLT9Q+drX2y0US9ID84zv00hqoYr1LWiz4BmenZvlyMPXTKn
 BtXQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=UGPp8DShqytZbFayAqlomE3A3HVkLhGW87vWz2DIaDg=;
 b=NOw6394q8un83PmUWHQleIIqYsAujH3L5ZmkvesFnncGf0hm0CZ6CbW+L9eDBC71fg
 yPYB+rkT9+Cj8qViFsewO1kiLbYp4K9OQpFDuu2Cm+Gl+GuV4CCce7GTUEWABVIH9jDQ
 n+at/30hhX4c1JAVOpCsP3et8zD1qZnulIh4Hqo8TScUtSSTndnPOW3pz/KksLEEOZaX
 jNmqRG72QqVVLddRdrKOrFdncOW9v/gkJmPXxZoScEKZ+CN2Hynl0xLupNyoLCibjFuC
 o5ZKUOKU2WSzgywZcLjzTIDjKDWbtXof3og9q58FYZtTFaK7p1NkG6n23jdVUhjIImC/
 BItQ==
X-Gm-Message-State: ACrzQf24lZHr0cClZfGBEQBhgImeZPbVXcXzbJHsDTz7F20F86N6COFY
 19+m/NS+dNbJp8kIQPQCe3yktzSibm8=
X-Google-Smtp-Source: AMsMyM618qyWcuM5JAmr2l5/BuHab5Q+8pwrvlAO6l236t0VatA/Q51OUP6ZIrIJJT97zgk/6Eip9g==
X-Received: by 2002:a50:fe99:0:b0:45c:329a:40f6 with SMTP id
 d25-20020a50fe99000000b0045c329a40f6mr46630208edt.425.1666889617199; 
 Thu, 27 Oct 2022 09:53:37 -0700 (PDT)
Received: from ars3 ([2a02:8109:8ac0:56d0::89aa])
 by smtp.gmail.com with ESMTPSA id
 9-20020a170906200900b007306a4ecc9dsm1067232ejo.18.2022.10.27.09.53.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Oct 2022 09:53:36 -0700 (PDT)
From: Augusto Stoffel <arstoffel@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <7c28a8f6-fc02-8519-664f-01f7d121d74a@HIDDEN> (Dmitry Gutov's
 message of "Thu, 27 Oct 2022 19:48:10 +0300")
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN>
 <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN>
 <7c28a8f6-fc02-8519-664f-01f7d121d74a@HIDDEN>
Date: Thu, 27 Oct 2022 18:53:35 +0200
Message-ID: <87fsf9i4xc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 27 Oct 2022 at 19:48, Dmitry Gutov wrote:

> On 27.10.2022 19:37, Augusto Stoffel wrote:
>> The patch in my original message fixes this and shouldn't complicate a
>> future implementation of the per-project histories.
>
> OK. Are you sure that it doesn't add the relative name to the history still?
>
> AFAIU as long as hist is passed to project--completing-read-strict,
> the completing-read call in there will alter the history first.

Note that history-add-new-input is bound to nil at the appropriate
place in the patch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 16:48:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 12:48:19 2022
Received: from localhost ([127.0.0.1]:59138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo63H-0002Q7-M8
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:48:19 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:33700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1oo63G-0002Pw-LI
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:48:18 -0400
Received: by mail-wr1-f48.google.com with SMTP id h9so3293747wrt.0
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 09:48:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=YdLtGk801LaJNwHfqWyppmgrCWu3VK3u+b7CNPH73N0=;
 b=kMgGF11HflkEK268Vl+FNVljKJaxzEVG4FV8FNGDHNmkV0JA6q73wjNH8zkw2EfqvI
 vh16uBOIHf6PdSCfJbgi3DheWaC433dIw7bgGkwnjgy7XEkqHNoyJe5YqiibPcRS5FUq
 bUrYdQrjI38eRONcMean4Oa4rTDC0nNBpOkQZFWtwW42mhFGc8oa8OsyZ9l6CEOUHMrc
 C4vbwfJ609KoJ8Kgm2xcWDflMMbE0eqw2O4JRy5IEmsn7mKnsvZu5KTgme0Bxrblxfen
 Cj9GZnsw6pMLRPUbNwP2+pIJuiqfEQMoHWEB4JO+B3x2q8cBsMX5cyLy0QL6jwlGTvAA
 TWRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=YdLtGk801LaJNwHfqWyppmgrCWu3VK3u+b7CNPH73N0=;
 b=LGfG7TjxO+02/4CgWERJturlOzKMkmE6qVa4x8ISMezmkvKwMmP6ALaSZs5tkFql6j
 i8+mGwVi0dyjoG3pYaQxGbJynV01iY5mDU6cE9D6wIeRKUfF+1nccqm92YR2S6OhvmY8
 P4LwwRZYb37LeNmokc4hLOuPFAJeaNSMTGKMgh/FT7LtktMAU+37iLC53y6L/q1L60LW
 HU7KdBovx8PihhX9KsPKQ9tcVBYFRsaZRCvkLxoFjvOPh1yP+Fx5Jt4WEYg91YAUOhrX
 d2Oszs+zEXEYtNhcZLIDuwNaC12yRbnCdGyma83wnMlLAWmQfvPmIjc843mlTFUprmgv
 lhwg==
X-Gm-Message-State: ACrzQf3EpzMjftPkRyUDmoMmqKSI3/r2XV04BdmHFdEtd4SCYUGlJl8x
 fplL6ldctgbqk4yGjzg/bSA=
X-Google-Smtp-Source: AMsMyM56vtrxVnMe6EfR61Q7as7dfoUbO+PuzBFXvQqeJSfE5DsLVmXnGtDJH3DlX8IJgIl8lmXsvA==
X-Received: by 2002:a5d:64e2:0:b0:22e:7060:b4a7 with SMTP id
 g2-20020a5d64e2000000b0022e7060b4a7mr31176191wri.129.1666889292609; 
 Thu, 27 Oct 2022 09:48:12 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 k3-20020a05600c1c8300b003c6b7f5567csm8705934wms.0.2022.10.27.09.48.11
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Oct 2022 09:48:12 -0700 (PDT)
Message-ID: <7c28a8f6-fc02-8519-664f-01f7d121d74a@HIDDEN>
Date: Thu, 27 Oct 2022 19:48:10 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Augusto Stoffel <arstoffel@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN> <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
 <87k04li5nw.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <87k04li5nw.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 27.10.2022 19:37, Augusto Stoffel wrote:
> The patch in my original message fixes this and shouldn't complicate a
> future implementation of the per-project histories.

OK. Are you sure that it doesn't add the relative name to the history still?

AFAIU as long as hist is passed to project--completing-read-strict,  the 
completing-read call in there will alter the history first.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 16:37:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 12:37:52 2022
Received: from localhost ([127.0.0.1]:59125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo5t9-00027q-Se
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:37:52 -0400
Received: from mail-ej1-f45.google.com ([209.85.218.45]:45963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arstoffel@HIDDEN>) id 1oo5t7-00027b-ND
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:37:50 -0400
Received: by mail-ej1-f45.google.com with SMTP id sc25so6209075ejc.12
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 09:37:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=bC7bZ321taR3J5690Uue3O+z/TbTPK7fLeHBxjzPhng=;
 b=jXGw4apfZrr1YMOB11yWx5sXxe9zfFKwIo0eClXYhefe5NUUW7ZelqChfQwKsb7GOl
 1zAvdqlTkuw1jtj5zGcr9fTZL5eNpxMmT+mjKCkLiEJa9prs2oojlFpCbIk+oVprapOi
 vtFbEyzJGECrQ4B+7ryI2/D3NTwMVJAsYx3zyP5lfX37wZ6K7FL8Ok+Um7yttFX8teQ2
 z14EsecBhnYQhkFupWHwX1dMcpVThxZkIBFtBmarl/XwhWI12+XHIHccEdAPfQPFcKU6
 AJVSLnpF8YvUnU8uKqwKV4p1M3E1ZyH+q1AAKnfJpK3w9Q+H8ZzGGuOq3GxN+8S3nhD4
 Jzqw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=bC7bZ321taR3J5690Uue3O+z/TbTPK7fLeHBxjzPhng=;
 b=ixdj+L6wUhoM/4pdQkwLUPsotf2ZoacpjBoBPbxEuH+nXz3Ki9C3uC+6A/Lyvsimn4
 LK0D7F96pHL6vzhVtPQ/sITUvWh8oDUTg2lV9ywgx5E03AS+8MfX9lC5XBwonNE9bH6A
 sRvlEAkmO5yDIBu6TBtaiy7aj1hFyclM0AwuZISP/dFXBg+pg9P0QUrq0y8raWNmkzkk
 v5U2JnaPKUPSFrUkd3vSXSAPRBn3LhEdke23cNOFgmehjIKFza81PAiKTiUoeh9TOrgF
 cLzmOsPlh9CKCuhWSAJonpIc5QMBPpaakOFLBLARvBxby6YWoq5OKBANTkl6cyCzADlw
 cEEQ==
X-Gm-Message-State: ACrzQf19FzOJSO6udNf8S6pCpwpnz9MqMYx1e+VyQRdXnxmTq6ycCrwn
 z1niJyFhNVvCNGDPHkjo9teESDIvhsA=
X-Google-Smtp-Source: AMsMyM5FxiSCcx3Tv9VK9onv/MPgOop/ecKEzI1bFDci8plXMpXjGZBstMxLBGScHhS48pUChzfmpA==
X-Received: by 2002:a17:907:7b95:b0:731:113a:d7a2 with SMTP id
 ne21-20020a1709077b9500b00731113ad7a2mr41586270ejc.377.1666888661214; 
 Thu, 27 Oct 2022 09:37:41 -0700 (PDT)
Received: from ars3 ([2a02:8109:8ac0:56d0::89aa])
 by smtp.gmail.com with ESMTPSA id
 d16-20020a170906305000b0073cd7cc2c81sm990432ejd.181.2022.10.27.09.37.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Oct 2022 09:37:40 -0700 (PDT)
From: Augusto Stoffel <arstoffel@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN> (Dmitry Gutov's
 message of "Thu, 27 Oct 2022 19:10:38 +0300")
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN>
 <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
Date: Thu, 27 Oct 2022 18:37:39 +0200
Message-ID: <87k04li5nw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 27 Oct 2022 at 19:10, Dmitry Gutov wrote:

> The idea of having a multitude of similar variables gave me a
> pause. But it's not a deal-breaker, I suppose.
>
> Also a couple of questions we're talking about in the other branch.

I think the idea of per-project histories is an interesting feature that
requires some careful design, but note that there is a bug in
project-find-file that should ideally be fixed for Emacs 29 (namely, it
pollutes the find-file history by adding non-absolute file names to it).

The patch in my original message fixes this and shouldn't complicate a
future implementation of the per-project histories.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 16:10:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 12:10:54 2022
Received: from localhost ([127.0.0.1]:59064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo5T3-0007fG-W6
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:10:54 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:40514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1oo5Sv-0007ev-Lb
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:10:46 -0400
Received: by mail-wr1-f50.google.com with SMTP id z14so3069813wrn.7
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 09:10:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=X92NMtkMj0bCPEjqjJ/RAnlATNYOtP5/g02zUUEt4+8=;
 b=ha8vSaz2x95HKoYCLtYJOmKbL4pYl0HDtocjQ6X0udDMM/w40P/IpVOjiuQlMWFikF
 uzl1C6+TM/6fGAVkRQUgDvXzFzTGLIh+vrf9Imk2gzZN/AXnny0b5iIDQ46O+fkZEvy8
 sQmzvB+02fnfNukwwJQZUmTOAV9Ymv/7pCJaNYvnr3sZr2eCzrOylQd+qQGW17aO0lpV
 hMLmYEid/8uEBx2QSCurCTtJn7A3aR4DVVrkn88luqVprTMWRL4fHp1VrRLrKsaLFa7K
 ochEZ3XXjLlS3AKRNuTY8twrydRM6YDAqqOPDG11wpHjFqURSV72FOvYI2yUQuXZvWd5
 YdvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=X92NMtkMj0bCPEjqjJ/RAnlATNYOtP5/g02zUUEt4+8=;
 b=Q5kzcNmXxnPz/ngd1CCPhzUE9Umu3h9cDxqawv0FPpIpgvSwoCCh9LBHmKZJNHXjFF
 oBYDZYIskwwCEM2BmhzJM8S+w1XdCAG0n4mX6iCupF+mc280LKNSlNfKz2UD9YAmVwPB
 WkH8y+6mtte3j/TyqqaQPOAmdw7/7HpPfV/FUz4+vcisO6IvGwLJ6q7QN4nKS3CuMyhU
 oMQ9fhY8uKHpg/w7dngpbZcJ9r2xWTBBDRXtSnJO1m9eVFKKZukJXQL6FMsO69YqTtE3
 8dZyulxDH3+CbdtAgm9YhfblXSqXbLRFNO9KATujNmX8kOPnyUkDHtwi96JORejsM047
 9ncA==
X-Gm-Message-State: ACrzQf0YZeifilVrtcWabGOhecIhEE9ZP1on2xESs2lYUA21j3zAjUF5
 t4Y8fXqPfDzmr+54eVVjgZI=
X-Google-Smtp-Source: AMsMyM7GlNSZAyWK2lZe4IRr28xOdBzU7Okm1HhESRe26oZfkUCsGnrgn2uCD+fVv8hRaTERAaMqqQ==
X-Received: by 2002:adf:d1c9:0:b0:225:f98:d602 with SMTP id
 b9-20020adfd1c9000000b002250f98d602mr33022627wrd.419.1666887040097; 
 Thu, 27 Oct 2022 09:10:40 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 f22-20020a5d58f6000000b0022afcc11f65sm1537752wrd.47.2022.10.27.09.10.39
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Oct 2022 09:10:39 -0700 (PDT)
Message-ID: <5c1cc828-5fcd-667f-41d4-f19923b2958e@HIDDEN>
Date: Thu, 27 Oct 2022 19:10:38 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Eli Zaretskii <eliz@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <83v8o5l0wa.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <83v8o5l0wa.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 58447
Cc: arstoffel@HIDDEN, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 27.10.2022 18:52, Eli Zaretskii wrote:
>> Date: Thu, 27 Oct 2022 17:21:24 +0300
>> Cc:arstoffel@HIDDEN,58447 <at> debbugs.gnu.org
>> From: Dmitry Gutov<dgutov@HIDDEN>
>>
>>>> I like both of these ideas, except I'm not sure how to implement the
>>>> project-specific part better.
>>>>
>>>> I suppose we won't be passing the history var to completing-read anymore?
>>> I thought about a project-specific history variable.
>> ...one global variable per project?
> Yes, I think so.  Are there any downsides that I overlooked?

The idea of having a multitude of similar variables gave me a pause. But 
it's not a deal-breaker, I suppose.

Also a couple of questions we're talking about in the other branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 16:07:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 12:07:45 2022
Received: from localhost ([127.0.0.1]:59049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo5Q1-0007Z0-C0
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:07:45 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:38822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1oo5Q0-0007Yk-3t
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 12:07:44 -0400
Received: by mail-wr1-f43.google.com with SMTP id a14so3069462wru.5
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 09:07:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=yz+Z72vsOjd+M0jAAzH3mnyNpjptK3Ldk949Vt8JIow=;
 b=WPb4adWt4wU85RG06y0JNU+cOUldFNeYjJIXF3dOYUOhyPUlExJR45/XoADpmfmaZm
 BUxcwKGAsySmqtvSl+JosGhofms5mG5ASITdIL2gmL09n3XjQ8y/EEWxqf6r2LSEfDNT
 aaMMPbMqm4l1TpGzwyesk5O6KvgdP27gSZAQXE95733aB+oyugSFIu2pYUNM0ki2hWyI
 P7kISzcKPCOGThL9RdmBzOi2QSpO8nd+GZvbq+AP72pJvwfkdeNA4CynMIvfCxg6wjKM
 XKhYH3M6gCoIjgYRQz67eSW7GboOUA+yHFQT8csBspuZk4inlKy67uEptejZvZWhI6gT
 yYlQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=yz+Z72vsOjd+M0jAAzH3mnyNpjptK3Ldk949Vt8JIow=;
 b=CFewUYB2MX55wtwYiwoxWP+psbv/4q3mR4f8GJcmaFVz40KbwoYr3h9fj485RVaW6S
 QPfvJf2LHfy+U7hS+BiRPD3PDIa+exxZ/g8zbHazF1jo8lm9seLdiceANCd2ZNYjZGeL
 4rV9/M4DgtcCocDLt8KzgtT/Vz/gSK7SLGLPqgDscr9AcskdpkWAbXNenwlQ/7NFjLNb
 n5iwF8+a3qVRVfXh1AQdYFLiem0YKfTjt91A2+PcykK/Lx+5hQAWDV1hf/nmlF6o+MR4
 vtju6sQlnj4Qv2kSCoWDUoyM0Byhegod0sFDdadAUnaptvmYpT+2Ub4t9aPN8gmHNVuC
 qTEw==
X-Gm-Message-State: ACrzQf2plGHAjObeJl2E2b6AeR3s3Ar9zSfTPPsH+ukIqP0/AHQNrswJ
 zKCoPejld3IlB8iF7NYalYk=
X-Google-Smtp-Source: AMsMyM4cVIqhnB3OHHvOqoLEVZ6qkeiMbjJD+IzLwGpDoQM8V+iXIGroEnuidYLVaqAACwTGLFwktQ==
X-Received: by 2002:a05:6000:1d82:b0:22c:ae77:c8dc with SMTP id
 bk2-20020a0560001d8200b0022cae77c8dcmr33255999wrb.413.1666886858263; 
 Thu, 27 Oct 2022 09:07:38 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 e30-20020a5d595e000000b002366d1cc198sm1462491wri.41.2022.10.27.09.07.37
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Oct 2022 09:07:37 -0700 (PDT)
Message-ID: <de38cc3e-7862-4a02-d9b3-146c02e819c6@HIDDEN>
Date: Thu, 27 Oct 2022 19:07:35 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Augusto Stoffel <arstoffel@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <87wn8libr6.fsf@HIDDEN> <fa6baed7-a53d-e34e-f9c5-617975b96f3b@HIDDEN>
 <87o7txi7k8.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <87o7txi7k8.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 27.10.2022 18:56, Augusto Stoffel wrote:
> On Thu, 27 Oct 2022 at 18:36, Dmitry Gutov wrote:
> 
>> On 27.10.2022 17:26, Augusto Stoffel wrote:
>>> One thing to consider here is compatibility with savehist-mode and the
>>> like.  I guess the only simple way to achieve this is with one global
>>> variable per project.
>> I suppose interning a symbol with the project root directory in its
>> name could work.
> The project root directory or the project name?  I'd say the latter.

We don't have a "project name" generic yet. There is a bug open.

And even so, unrelated projects could declare equal names, couldn't they?

> If you have two copies of the same project in two different places
> (which I often have -- a local copy and one in a remote compute
> machine), then the shell and compilation buffers are shared.  One can
> argue whether this is good or bad (I find it okay, with some caveats),
> but for the sake of consistency the history variable should also be
> shared among copies of the same project.

I imagined the project names would be used in the project selector 
instead of their root directories, not in addition to them. So they'd 
have to be unique even across "copied projects".

But you can bring up that idea in bug#48747.

>> Passing it to completing-read will unavoidably result in relative
>> names still, though. But it won't be so much of a problem anymore.
> If we settle for one history variable per project, then I'd say yes, the
> entries should be relative file names.

Ok.

>>> And then there would be the issue of when to
>>> garbage-collect the saved save pertaining to old projects.
>> Inside project--remove-from-project-list? Either one specific project,
>> or doing a full scan of obarray.
> Okay, if "garbage collection" of projects is already a thing, then we
> just have to extend it to contemplate the history variable.

There is no "garbage collection" point exactly, but we could pivot to 
making one.

The main reason I didn't do that is scanning the full project list with 
file-readable-p check will likely become slow quickly enough, especially 
in the presence of remote projects.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 15:56:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 11:56:48 2022
Received: from localhost ([127.0.0.1]:59037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo5FQ-0007Fq-Kl
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 11:56:48 -0400
Received: from mail-ed1-f47.google.com ([209.85.208.47]:37532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arstoffel@HIDDEN>) id 1oo5FP-0007Fc-0p
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 11:56:47 -0400
Received: by mail-ed1-f47.google.com with SMTP id l11so2354477edb.4
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 08:56:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=l4U8Lcx4tWPfPsWVezuo5EVGkAusEQRTYyuPZysRIUA=;
 b=SVH+/1U6k++aqF+hrodBTZOXbUew6SbDV2Gk/s597v4pyjWby+N4qQay/MKJ12wW/4
 nmWCC1PZoNzc10H50Ong1SGx4qbUFKSM736IApw4/DPbeAaWyBl+GlpUmteE4p2CZTlg
 W7HL8EsxXhRMKDl6+riUBMPUuUewFwWijaJLc+98x5qo8NKQ/jEjnAyGG5boiOwmDnEx
 nZvNC6bxR/3Lx1+3VgfEdD8H3FPZyvZKqbM3CyHiNaezMD4qY5roICBrjkKrkxY7eYu7
 vfqo3SdJC9wHU86NVoEmCeEjeywg3MXneSqWf/XiSLCdCWG9A+qCNEHfKDs1RpjE54XG
 Sycw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=l4U8Lcx4tWPfPsWVezuo5EVGkAusEQRTYyuPZysRIUA=;
 b=vs9+Dh3JfzBUFhgOlX3uVAzYVp80wn4h2GlRXZicD0TYEpRPEJ4z5fmr+8ol3DPYqZ
 My8V5Yb4IKANoGqNku6W4Vp83rGJdGV5o7atIncF0aoUio5m9Egu66o04qcTeUBlX0da
 5IhTBGjNmuGQvOsAU9nVd4xQnF4rw9iFpQ3AZQopFJt6Y7PMCLQ09W0t+J3wW4Cnn6Qx
 VPuiPzn+dlx6UYYNT//juzCIzP0vAy3/38L05XKooVSnrA0bGAbJ1jrY5BMhVtIyYWaG
 gxTJO8lGqRFyKfByaaNKtm1tlL5RpUkaQoOjuDXY35uKHPGGPq8d8YIgw2qFrEvpR5Cm
 JlAg==
X-Gm-Message-State: ACrzQf0wpjLrPtw0dib1VOa4z1DzA/MKk27FA2jRd/wHt78TWJwURM4H
 su3Hn0aTikEYWJ37572LpyG851WDnGw=
X-Google-Smtp-Source: AMsMyM4UjHc9k3v2b+Nrx5exCLRS0KTKU39jhsIl+W44ZPzb4oziPb9eUxr8MeQDjNkOWpdN2GMkfQ==
X-Received: by 2002:a05:6402:278f:b0:45d:5503:8acd with SMTP id
 b15-20020a056402278f00b0045d55038acdmr45408953ede.314.1666886200938; 
 Thu, 27 Oct 2022 08:56:40 -0700 (PDT)
Received: from ars3 ([2a02:8109:8ac0:56d0::89aa])
 by smtp.gmail.com with ESMTPSA id
 o9-20020a50fd89000000b00458478a4295sm1193313edt.9.2022.10.27.08.56.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Oct 2022 08:56:40 -0700 (PDT)
From: Augusto Stoffel <arstoffel@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <fa6baed7-a53d-e34e-f9c5-617975b96f3b@HIDDEN> (Dmitry Gutov's
 message of "Thu, 27 Oct 2022 18:36:13 +0300")
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <87wn8libr6.fsf@HIDDEN>
 <fa6baed7-a53d-e34e-f9c5-617975b96f3b@HIDDEN>
Date: Thu, 27 Oct 2022 17:56:39 +0200
Message-ID: <87o7txi7k8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 27 Oct 2022 at 18:36, Dmitry Gutov wrote:

> On 27.10.2022 17:26, Augusto Stoffel wrote:
>> One thing to consider here is compatibility with savehist-mode and the
>> like.  I guess the only simple way to achieve this is with one global
>> variable per project.
>
> I suppose interning a symbol with the project root directory in its
> name could work.

The project root directory or the project name?  I'd say the latter.

If you have two copies of the same project in two different places
(which I often have -- a local copy and one in a remote compute
machine), then the shell and compilation buffers are shared.  One can
argue whether this is good or bad (I find it okay, with some caveats),
but for the sake of consistency the history variable should also be
shared among copies of the same project.

> Passing it to completing-read will unavoidably result in relative
> names still, though. But it won't be so much of a problem anymore.

If we settle for one history variable per project, then I'd say yes, the
entries should be relative file names.

>> And then there would be the issue of when to
>> garbage-collect the saved save pertaining to old projects.
>
> Inside project--remove-from-project-list? Either one specific project,
> or doing a full scan of obarray.

Okay, if "garbage collection" of projects is already a thing, then we
just have to extend it to contemplate the history variable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 15:52:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 11:52:36 2022
Received: from localhost ([127.0.0.1]:59027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo5BL-00079W-Um
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 11:52:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oo5BK-00079G-7h
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 11:52:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oo5BD-0002I3-UC; Thu, 27 Oct 2022 11:52:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=MbpKgCcMqwijOyXCidm+LRW4xCqQ0fWN+FL23qdLRcQ=; b=omJKKChb80QQ
 4HRjyK+pGzydLF5bdquBJSrmdncHigHN06nJtD9CYGGOimxbS8uaoOdD0heFsRenbk4FZHJL6ed2w
 zhPvJi1P7ulUOsAi/DORKEVJdopqBBDwPIM6p8SHdlaMuiZ3wpMksIXxwbLwo/dOk/Uk9YJfoMV9C
 Vh3/J+Chu9FhlX+q+DPb0MK3Dgs1GSKO6HeYIJOIhXlYs+65D2m2oAzRyQTvTT8vY5cb/kZBTa8V6
 I2Cva4IS2cFK/tR9ik1Na4WDa3321huspHgLQ8U3KS1RonQSAyUgS49itNU80f3fyz0aXpqU8zmn6
 yRaBoZhEii6aJJd5LzJfRQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oo5BD-0007Jo-0R; Thu, 27 Oct 2022 11:52:27 -0400
Date: Thu, 27 Oct 2022 18:52:21 +0300
Message-Id: <83v8o5l0wa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN> (message from
 Dmitry Gutov on Thu, 27 Oct 2022 17:21:24 +0300)
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58447
Cc: arstoffel@HIDDEN, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 27 Oct 2022 17:21:24 +0300
> Cc: arstoffel@HIDDEN, 58447 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> 
> >> I like both of these ideas, except I'm not sure how to implement the
> >> project-specific part better.
> >>
> >> I suppose we won't be passing the history var to completing-read anymore?
> > I thought about a project-specific history variable.
> 
> ...one global variable per project?

Yes, I think so.  Are there any downsides that I overlooked?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 15:36:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 11:36:28 2022
Received: from localhost ([127.0.0.1]:59004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo4vi-0006jl-4g
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 11:36:28 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:39454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1oo4vd-0006jX-Tf
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 11:36:25 -0400
Received: by mail-wr1-f44.google.com with SMTP id o4so2883529wrq.6
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 08:36:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=6cKElSETBtuHmOV7uUrUzdFhJQx9FmuflVIjR+OFDW8=;
 b=Rfyawisl5HGKkZfEICPtu7swnGMPV1H3WTVmRuhCDgMaGyjPjaxaBDKjkC852vRagy
 sF51G8jWYxbHpqsDhffRi2gfguep6pE8V6EHQmFdMS03OqBs8mz+N7ZRHxwtTJx9nCeB
 F+xuUpN8fq5anOvjVT0B4EIF/sINqeunxyQ2UTgBP8py0eE1mmLYFGWl0y7kFoy8+4iU
 flShcFlDb84a0EMFO1Cssam/gfiCCZ3TEZvDf7QA9z12w7wPv2HK16kKCasNYsx3fHi/
 uijTo8vyj4aCy7A8iiezZ6fCrqvcaZCfeBXHkcuGqsRTOXf0K5qSle6mlfEoIwPM0+wH
 4mlg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=6cKElSETBtuHmOV7uUrUzdFhJQx9FmuflVIjR+OFDW8=;
 b=n2q423bOno/T8P/+Go6Vzk6odR6O6NUglOv74ZNi7KjLRjKsJGU0sibliyDtdTIrkM
 MF1YpNJS/08vcvAjHfPqdYXzrFmkz1rgW01q9ypoBBiRJpz86WRkJIM7Pwc63tC7AIcX
 RO8tJG6F+lXrUCPGrDQets5PWwBmCF+z6NOVN+UnVP4+deF0f3K0Y1xxopco3pO7XQNa
 xXz77EVcGBKSEi80b61MozYnWrQFsZ9hTi5HoJHD4d4+NfuUnSnpgnhElQ1N3YwI8I7w
 JxdOQMm8obnvG53DqlH5XMa9/lk+2FUz94vHejLnoTZ4TgySMoTBLLczLwXi74hQOuCh
 iNxQ==
X-Gm-Message-State: ACrzQf0fXrg/6KR/0twftN6uz5EwX0k8g93PWpq6t95J9qUDGjCsIOz1
 ohMjuD3/9e7OIASBUuBDjPs=
X-Google-Smtp-Source: AMsMyM7Qik1b7zzx3oWiPLtXNRLc/IXsmzmdNvIcrW88qhK4iviAzHAlRd5rUU8TD+WFi+2SA1IBzg==
X-Received: by 2002:adf:aa8d:0:b0:236:588f:71f with SMTP id
 h13-20020adfaa8d000000b00236588f071fmr20214971wrc.205.1666884975889; 
 Thu, 27 Oct 2022 08:36:15 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 m7-20020adfe0c7000000b0023662245d3csm1420863wri.95.2022.10.27.08.36.15
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Oct 2022 08:36:15 -0700 (PDT)
Message-ID: <fa6baed7-a53d-e34e-f9c5-617975b96f3b@HIDDEN>
Date: Thu, 27 Oct 2022 18:36:13 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Augusto Stoffel <arstoffel@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN> <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
 <87wn8libr6.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <87wn8libr6.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 27.10.2022 17:26, Augusto Stoffel wrote:
> One thing to consider here is compatibility with savehist-mode and the
> like.  I guess the only simple way to achieve this is with one global
> variable per project.

I suppose interning a symbol with the project root directory in its name 
could work.

Passing it to completing-read will unavoidably result in relative names 
still, though. But it won't be so much of a problem anymore.

> And then there would be the issue of when to
> garbage-collect the saved save pertaining to old projects.

Inside project--remove-from-project-list? Either one specific project, 
or doing a full scan of obarray.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 14:26:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 10:26:15 2022
Received: from localhost ([127.0.0.1]:58861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo3pn-0004rA-8D
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 10:26:15 -0400
Received: from mail-ed1-f49.google.com ([209.85.208.49]:41797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arstoffel@HIDDEN>) id 1oo3pl-0004qy-QK
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 10:26:14 -0400
Received: by mail-ed1-f49.google.com with SMTP id z97so3033367ede.8
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 07:26:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=ewOFBbw5aIxmk/wpEWNnB4ylC97F2uq5zylTYNia1Tk=;
 b=V7IHoc1XBaVoQSjltAImqQ8kzJcZgTY5j4o/rghYMDEFvGEtoY6WQgTRmqCPbRRAUp
 V4tm8F9t5okqUuw3Yd1/6BQmKe7ObBa7MeK2KcOn3kvlY5jIuzW/VQNPiP5YqdakBUBt
 8Ib1okMl1IgIOt79QX1BLnWgh1mEjN+xMkrbfdcrDHAldG4utl5tZOHLWm8pr7hhH5Kc
 XBuNedJigHfdGcxm9xDSmQ7S/l+EaqdjNDABhj3Y7MSWsUsW/aiQQsuv5pEx8EpURq3A
 mKCi4g9gKRgE2ESLLZwnFPmqBAZmIJWVgGSfzlC9IoaX/N6s89/0Y4/37kcA7b09fHbS
 9w3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=ewOFBbw5aIxmk/wpEWNnB4ylC97F2uq5zylTYNia1Tk=;
 b=PktVv3GzJNOQvMociicn9Y/VdBnmSMu63M2LVvF8a8XnyJXRJy1Xpx1kFR+HzmiRNm
 GdiughVZ53PRwF1OCDlw/iYlTd/fn8cG3PZR1joKo0krLP18ZwIx/MNh/10MIfLJq+JU
 JfiZAsVzdjXf+vGxhxoI4XCPXL6TvDAjQjwdKcyAVGFhW5YaEEtcPcE3cPyPGKTD4NC5
 WbpuBJ3ddehanwaDV0msJISOewGuY6mN6kMEdV6GA25KOpE4uFPAqTrb5YxVrmXUF+Os
 gglDFzj78pYelc+GF9BQaEoSZlrnAwA/4nxY16qRLjrQCkaOHI6bYF6JCsICJ73cR5zT
 wJ8Q==
X-Gm-Message-State: ACrzQf3ql0aVvaC+Txwk+aWyt3TXyniYJ+et8fDis9LpwGmd/EH+2oFU
 wTxJWP3IIfNhPjJKgtGcCq4acXWyH2o=
X-Google-Smtp-Source: AMsMyM7kvAGW65H8UgegUC0wmTU5ICmUIy++AziGa+/PP/Y1l2Q4/506Vgztood+jfrOH58sdTd7zA==
X-Received: by 2002:a05:6402:114a:b0:454:85e4:2295 with SMTP id
 g10-20020a056402114a00b0045485e42295mr47023240edw.348.1666880767509; 
 Thu, 27 Oct 2022 07:26:07 -0700 (PDT)
Received: from ars3 ([2a02:8109:8ac0:56d0::89aa])
 by smtp.gmail.com with ESMTPSA id
 bk5-20020a170906b0c500b0073022b796a7sm861242ejb.93.2022.10.27.07.26.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 27 Oct 2022 07:26:06 -0700 (PDT)
From: Augusto Stoffel <arstoffel@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN> (Dmitry Gutov's
 message of "Thu, 27 Oct 2022 17:21:24 +0300")
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
 <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
 <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
Date: Thu, 27 Oct 2022 16:26:05 +0200
Message-ID: <87wn8libr6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58447
Cc: Eli Zaretskii <eliz@HIDDEN>, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 27 Oct 2022 at 17:21, Dmitry Gutov wrote:

> On 27.10.2022 16:15, Eli Zaretskii wrote:
>>> Date: Thu, 27 Oct 2022 11:44:09 +0300
>>> Cc:58447 <at> debbugs.gnu.org
>>> From: Dmitry Gutov<dgutov@HIDDEN>
>>>
>>> On 26.10.2022 12:04, Augusto Stoffel wrote:
>>>> I'm copying Dmitry.
>>> Hi!
>>>
>>>> On Tue, 11 Oct 2022 at 22:13, Eli Zaretskii wrote:
>>>>
>>>>>> From: Augusto Stoffel<arstoffel@HIDDEN>
>>>>>> Date: Tue, 11 Oct 2022 20:29:24 +0200
>>>>>>
>>>>>> `project-find-file' and related commands share their history with more
>>>>>> general commands like `find-file', so they should add the absolute file
>>>>>> name to history.  Currently, file names relative to the project root are
>>>>>> added.  The attached patch fixes this.
>>>>> Shouldn't project.el have its separate history of file names,
>>>> I'm not sure that's useful, but then the history items should be
>>>> absolute file names anyway.
>>>>
>>>>> perhaps even a project-specific history?
>>>> This might make sense.
>>> I like both of these ideas, except I'm not sure how to implement the
>>> project-specific part better.
>>>
>>> I suppose we won't be passing the history var to completing-read anymore?
>> I thought about a project-specific history variable.
>
> ...one global variable per project?

One thing to consider here is compatibility with savehist-mode and the
like.  I guess the only simple way to achieve this is with one global
variable per project.  And then there would be the issue of when to
garbage-collect the saved save pertaining to old projects.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 14:21:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 10:21:36 2022
Received: from localhost ([127.0.0.1]:58813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo3lH-0004hR-KD
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 10:21:35 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:38493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1oo3lF-0004hD-GU
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 10:21:34 -0400
Received: by mail-wm1-f45.google.com with SMTP id
 r186-20020a1c44c3000000b003cf4d389c41so1549847wma.3
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 07:21:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=83Zc/eml6/RcnuIUxy3kHvqS4YZgRgHzQ6ed0y6zptg=;
 b=VERgDu+cZ1WDGXcFz8bzgGpjSJf9jC50WKPRGz3uH4xiSFam46E++48/x390yO8Ifq
 ITnTEJJ3RyAA9+Qv74pwiEXAgSVVYL1HJkyKhhR0w0nwJrIxDYnKWmCN9QqWPhM6K9k4
 cRbP3oNs2ccQ6B2M5nnIdrvHecR7Ip6nbb5DIpCObc/sBqwASmP/wJzn96TKwC33UyU5
 rQ9aT5EoGaVfD72mWzAL9bfPG+1VcsOglezvEaRSNNK0cHPFtOfVmlrzHFiJEILZgN6R
 IwF7QQWcbreSx6zABRnm70C9th9UxCl5JWtykwA9cVA+OpvN9O2vkwFFe1TFI5AHgaZE
 n4qg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=83Zc/eml6/RcnuIUxy3kHvqS4YZgRgHzQ6ed0y6zptg=;
 b=Itnm6yA/qZMpQ1zPZfC4cOw5te5KiT6xJnTnKt7owSjSRyaTNDuu7Wo6u61IlK1JHr
 CDjk9ZA8sLw3uGI2H3fuWLOMmGDKmD1wMrysx2QA6lspZTLiLRW476Yc2iplC3G1ZZI3
 K7S+JqwUR1KcjfOOlxvgBB/sG5gBgNKCN4ELXhSulUOzOtbj/bRbEq7TKjekbhR5OjFp
 vBoahJhEjPzbTwtCwyu+TuUkr+M8LsAZ9RaEXWvkU6Hf3aFvRwemda8cklaXQpJ7+Hsx
 DUpBwZgLRwNbqP0ble6tnehWBJf6yW3J2GTSmldBDzZRE+9YDHf/hko0DcRkNWs1vmn+
 tGaQ==
X-Gm-Message-State: ACrzQf0LsSDnoc4i6xYzN8Rre/QbxPhQHiSAh4ZpNwetjNxhON3IZQT8
 xvU+pGWDM/+iXhYcW3PWhNI=
X-Google-Smtp-Source: AMsMyM6Fp/BClPF9cIDz/PNspybELAKBHiPn+AjJxtH6PKKzMg3z1cy4tlaRzNq9BQkFjKVsou04FA==
X-Received: by 2002:a1c:f30d:0:b0:3c3:7c80:67f4 with SMTP id
 q13-20020a1cf30d000000b003c37c8067f4mr6074023wmq.86.1666880487417; 
 Thu, 27 Oct 2022 07:21:27 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 a12-20020a5d4d4c000000b0022e55f40bc7sm1237712wru.82.2022.10.27.07.21.26
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Oct 2022 07:21:27 -0700 (PDT)
Message-ID: <1cce089a-546e-7f13-0907-3d36452aef10@HIDDEN>
Date: Thu, 27 Oct 2022 17:21:24 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Eli Zaretskii <eliz@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
 <837d0lmmpi.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <837d0lmmpi.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: arstoffel@HIDDEN, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 27.10.2022 16:15, Eli Zaretskii wrote:
>> Date: Thu, 27 Oct 2022 11:44:09 +0300
>> Cc:58447 <at> debbugs.gnu.org
>> From: Dmitry Gutov<dgutov@HIDDEN>
>>
>> On 26.10.2022 12:04, Augusto Stoffel wrote:
>>> I'm copying Dmitry.
>> Hi!
>>
>>> On Tue, 11 Oct 2022 at 22:13, Eli Zaretskii wrote:
>>>
>>>>> From: Augusto Stoffel<arstoffel@HIDDEN>
>>>>> Date: Tue, 11 Oct 2022 20:29:24 +0200
>>>>>
>>>>> `project-find-file' and related commands share their history with more
>>>>> general commands like `find-file', so they should add the absolute file
>>>>> name to history.  Currently, file names relative to the project root are
>>>>> added.  The attached patch fixes this.
>>>> Shouldn't project.el have its separate history of file names,
>>> I'm not sure that's useful, but then the history items should be
>>> absolute file names anyway.
>>>
>>>> perhaps even a project-specific history?
>>> This might make sense.
>> I like both of these ideas, except I'm not sure how to implement the
>> project-specific part better.
>>
>> I suppose we won't be passing the history var to completing-read anymore?
> I thought about a project-specific history variable.

...one global variable per project?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 13:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 09:16:45 2022
Received: from localhost ([127.0.0.1]:56421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo2kL-0002LF-KG
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 09:16:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oo2kJ-0002L1-6P
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 09:16:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oo2kD-0005oO-MP; Thu, 27 Oct 2022 09:16:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=mSv1XlvHxEcqvOPSXOdCnLb34Uwc0SKlW6KX3nlH6kM=; b=IjskzzZI70fU
 klP0LaIZ0J6pu/QnJvE5qu96xsX1vJ5QTDrUWPiJ7TQg1DA9QtzB9PtsCRL7iZuu4tg4c9TATzJFY
 joYR1V6QpZZUX+yB6+GHV0bmZSURhNb4b/BlNr+QGXdru38QZrgljb82+X2R4/K2vgMcCv5hj/mpY
 mkMVRgls2sFOP6ufZslzL8jRmY6+AVz+u9Jh4+kw+7X2Eo8ZFMDskKjcBd7He0baXlJ1T7kohOyOQ
 BOkc0mZ50rHjKh8W5x1glBUCMI8uvFj95PBBMARYX25JSMR0JgOaTdV2Wn6BEna3jjFUz1Cx8UA4C
 YyQgJzsKzd0gXRdqaLICXg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oo2jq-0004XE-EO; Thu, 27 Oct 2022 09:16:19 -0400
Date: Thu, 27 Oct 2022 16:15:53 +0300
Message-Id: <837d0lmmpi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN> (message from
 Dmitry Gutov on Thu, 27 Oct 2022 11:44:09 +0300)
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN> <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58447
Cc: arstoffel@HIDDEN, 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 27 Oct 2022 11:44:09 +0300
> Cc: 58447 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> 
> On 26.10.2022 12:04, Augusto Stoffel wrote:
> > I'm copying Dmitry.
> 
> Hi!
> 
> > On Tue, 11 Oct 2022 at 22:13, Eli Zaretskii wrote:
> > 
> >>> From: Augusto Stoffel<arstoffel@HIDDEN>
> >>> Date: Tue, 11 Oct 2022 20:29:24 +0200
> >>>
> >>> `project-find-file' and related commands share their history with more
> >>> general commands like `find-file', so they should add the absolute file
> >>> name to history.  Currently, file names relative to the project root are
> >>> added.  The attached patch fixes this.
> >> Shouldn't project.el have its separate history of file names,
> > I'm not sure that's useful, but then the history items should be
> > absolute file names anyway.
> > 
> >> perhaps even a project-specific history?
> > This might make sense.
> 
> I like both of these ideas, except I'm not sure how to implement the 
> project-specific part better.
> 
> I suppose we won't be passing the history var to completing-read anymore?

I thought about a project-specific history variable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 27 Oct 2022 08:44:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 04:44:18 2022
Received: from localhost ([127.0.0.1]:56142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onyUs-0001ZK-Eh
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 04:44:18 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:39550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1onyUq-0001Z6-Rg
 for 58447 <at> debbugs.gnu.org; Thu, 27 Oct 2022 04:44:17 -0400
Received: by mail-wr1-f41.google.com with SMTP id o4so985162wrq.6
 for <58447 <at> debbugs.gnu.org>; Thu, 27 Oct 2022 01:44:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=K9XHjCOib2HhTyh9bQ9L4MCl+n3sKobi9c8cHp3Go1M=;
 b=VA8n603dm+ssUDisyHevtbAI1q9X5mKB8k3ssjDYYb0bQDW2nEP8IlQR81WdE5UyIP
 G9OL+wcGkmEuut5Go/O4oqytViMmkHh9spbyPZ9rbtjuyaJC3s7EqiyJus6OJGrk29Od
 BVupVHTQn35sILjzonV73z65/lG/VARtHLfCYwSPx8tu2fuiJY1QUSpPZn7n8OyBxMs9
 h43e8W0zda8AM/NLpCPhsraz8QmESzh5xYheRncWZMZYxdjBytd1B1CHDKITaOuPjL7X
 f6FCtXqVpa8ZTfp1tpoyEUuEMzx2/GKelHGE35xBt6hn+/CYSXb110dJCkPblYg43ZTz
 qDOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=K9XHjCOib2HhTyh9bQ9L4MCl+n3sKobi9c8cHp3Go1M=;
 b=nMkGqMVpazKqMNbYPkRYj1/WB+RK7sT8H5ScVpD+qa3tJfjLvhwkDK1TRvsrjZy40l
 E/aVigyoWuXQPSVFblv29NDpzswogaeWwjQBx6bBnafj4M26f29JgJ3Wh0YVbipKrs23
 mDSYLoJ3fh/JqXnJAmy4q48Lbzge8sIo2fIHw2acLu4T2lcq1JjxbmJeOOogCKs8cGVE
 aIvZLngRW2JUzirt6TzyNVjBE8BdkxBBcATiFGU/wTGJXDG4cp3ZnDBbmpdCJGU2I1in
 e+nPl9HPqA1TheKxfxaFAFCqt2mvprctKUr5t0vw1klEY0BGMcuzuhcwUZ0TtpLRDHdB
 Y9Ow==
X-Gm-Message-State: ACrzQf2gLEy1N1YsL/gjDb++1LK7EgZn4Xb12cJAlcPF/1peMy0peCF7
 /xmqYOKewhDEDwhmChG8Xrk=
X-Google-Smtp-Source: AMsMyM4sYLSsvDdSLRGnRaUkkcFy21m9ZCiG1UjanIjZphLE+IritWiZ37DeLveO35LPnSJ5nhibWQ==
X-Received: by 2002:a5d:654d:0:b0:235:197d:72d1 with SMTP id
 z13-20020a5d654d000000b00235197d72d1mr25687688wrv.680.1666860250921; 
 Thu, 27 Oct 2022 01:44:10 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 z7-20020a05600c0a0700b003a682354f63sm4634437wmp.11.2022.10.27.01.44.10
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Oct 2022 01:44:10 -0700 (PDT)
Message-ID: <42bb91a0-60ff-2e51-dcdc-c1e1f80e31ec@HIDDEN>
Date: Thu, 27 Oct 2022 11:44:09 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
Content-Language: en-US
To: Augusto Stoffel <arstoffel@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
 <871qqvj6qb.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <871qqvj6qb.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 58447
Cc: 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 26.10.2022 12:04, Augusto Stoffel wrote:
> I'm copying Dmitry.

Hi!

> On Tue, 11 Oct 2022 at 22:13, Eli Zaretskii wrote:
> 
>>> From: Augusto Stoffel<arstoffel@HIDDEN>
>>> Date: Tue, 11 Oct 2022 20:29:24 +0200
>>>
>>> `project-find-file' and related commands share their history with more
>>> general commands like `find-file', so they should add the absolute file
>>> name to history.  Currently, file names relative to the project root are
>>> added.  The attached patch fixes this.
>> Shouldn't project.el have its separate history of file names,
> I'm not sure that's useful, but then the history items should be
> absolute file names anyway.
> 
>> perhaps even a project-specific history?
> This might make sense.

I like both of these ideas, except I'm not sure how to implement the 
project-specific part better.

I suppose we won't be passing the history var to completing-read anymore?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 26 Oct 2022 09:05:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 05:05:00 2022
Received: from localhost ([127.0.0.1]:53373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oncLL-0006LD-W5
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2022 05:05:00 -0400
Received: from mail-ed1-f52.google.com ([209.85.208.52]:37843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arstoffel@HIDDEN>) id 1oncLG-0006Kw-PC
 for 58447 <at> debbugs.gnu.org; Wed, 26 Oct 2022 05:04:58 -0400
Received: by mail-ed1-f52.google.com with SMTP id t15so5695869edd.4
 for <58447 <at> debbugs.gnu.org>; Wed, 26 Oct 2022 02:04:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=oVPdFHQ20R42xoboDySCoc4orzfRCRKEOSjF5neiGh8=;
 b=KNYMmYMeAanRig2Oq4hPBRMBfXzFnLdlbfWzTuI3a9I0vtNF1zRIfXReAwfB0cvH3j
 2f7G8fCq2XiOhISGaneXzMWbHBZmShgv7K7Ut1K3TvjAejzNOeLfCez0/IZJY23jYBid
 z1z9MdSagAlikoIqOzCBFkIRtb1oyDofUPQgFfX2aNS2E+uPuTFgJtbuU2EDGykSYHqR
 gChgBEJ2LAvi7mc4zvDHvYOj5bKqlLmXrR6f5we15ZreRMlRldo6gfRqYNdzwUgT7iDT
 +G2b42SOcKfjt3lyQfgGeYZp4y+/ynvGR/2K7cYbliT+2Q/oCXXDdaqJBOiRwHcY95/R
 YjJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=oVPdFHQ20R42xoboDySCoc4orzfRCRKEOSjF5neiGh8=;
 b=BKHg9Fvz1yVC/AdHV0QAGQxmqXQWP/M3DGLhCGikmy3nxWK15+qHhmr+LFBItxp8Hp
 DD90I6M/cCoHXNFGfyqu/DC/K7Vgrb1OsEcSODUIwk2zZoa3XdlMtQDFebOfU/HI+dbq
 PuE6S0pykzn2/Zv7VEoAYUKUwppOYTERT2sO/A8nS/xyl/ROiRtGj0QNncoLhF9BBcce
 pB9bSpoNhtCQvnAxTR9I//1uGjHATzWDv3CB0G7psKFT65nG/mGfp4BGLziESSj/iLhu
 vbcOMd8LTUyfQmw76wH0mJChvO9ncI3wZ7OboHpGmgKmTr7yNvqkoiyQ/ugB2g5dBn5Y
 Gz/Q==
X-Gm-Message-State: ACrzQf2OkfrGaJmWjn2yxZ+Z1cWvMy5uRRnt7GvtNF511NB/1RQyfOZf
 g7vymL21PVjnsFBHs8mmGAM=
X-Google-Smtp-Source: AMsMyM7WeViYGgiz85BZ7UhE45VYiN6oncgQ8i4zbt281/LSsS+OKsH2ZK/vfsJCi2VHEcPS8v9ycg==
X-Received: by 2002:a05:6402:5191:b0:45c:dea0:2c7 with SMTP id
 q17-20020a056402519100b0045cdea002c7mr39071462edd.239.1666775087724; 
 Wed, 26 Oct 2022 02:04:47 -0700 (PDT)
Received: from ars3 ([2a02:8109:8ac0:56d0::89aa])
 by smtp.gmail.com with ESMTPSA id
 y18-20020a17090668d200b0079e11b8e891sm2660424ejr.125.2022.10.26.02.04.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 26 Oct 2022 02:04:46 -0700 (PDT)
From: Augusto Stoffel <arstoffel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#58447: [PATCH] In project-find-file, add absolute file name
 to history
In-Reply-To: <83a662dvgo.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 11 Oct
 2022 22:13:59 +0300")
References: <8735budxiz.fsf@HIDDEN> <83a662dvgo.fsf@HIDDEN>
Date: Wed, 26 Oct 2022 11:04:44 +0200
Message-ID: <871qqvj6qb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58447
Cc: 58447 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I'm copying Dmitry.

On Tue, 11 Oct 2022 at 22:13, Eli Zaretskii wrote:

>> From: Augusto Stoffel <arstoffel@HIDDEN>
>> Date: Tue, 11 Oct 2022 20:29:24 +0200
>> 
>> `project-find-file' and related commands share their history with more
>> general commands like `find-file', so they should add the absolute file
>> name to history.  Currently, file names relative to the project root are
>> added.  The attached patch fixes this.
>
> Shouldn't project.el have its separate history of file names,

I'm not sure that's useful, but then the history items should be
absolute file names anyway.

> perhaps even a project-specific history?

This might make sense.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at 58447 <at> debbugs.gnu.org:


Received: (at 58447) by debbugs.gnu.org; 11 Oct 2022 19:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 11 15:14:00 2022
Received: from localhost ([127.0.0.1]:54854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oiKhT-00065Y-R1
	for submit <at> debbugs.gnu.org; Tue, 11 Oct 2022 15:14:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oiKhP-00065J-N5
 for 58447 <at> debbugs.gnu.org; Tue, 11 Oct 2022 15:13:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51850)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oiKhK-0003by-As; Tue, 11 Oct 2022 15:13:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=UmMHOcSxSiIVzmkolP4XYWCGSFzwMc2kKsDkvf6EhMI=; b=SK6cJ1HJdfsE
 1pPtJEgZH0QdKJ3hebWXAjVfLKAmopLLOGsESS1CposLABGiMarKrzuX8TfC3FGpTCrXRsBXSt1jM
 8beXm7c/XicPugHG/lFHYK9wZrwBn24t2bYxOGXaYkpUGrBmOoETdy1bhOi6hLSQ5ZAT0Jvd1owOX
 NdS/05p1aPE7Yl7V2dcETqaNAnKm8QsFc8FKITTGxztEdY1Ddp28eXcev5Gv0D8Rv8aapxsHuqcWj
 m+1e9L1Qvh2i2Ed3uyKa5VrBE6mBMuFM57imFoO7Q2uGTTZ0rh9eRVSjMEo14JQ1/+BaSIaJK0nTq
 3pwVlHyEz9KniAIMOlp3CA==;
Received: from [87.69.77.57] (port=4634 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oiKhJ-0000Xx-N4; Tue, 11 Oct 2022 15:13:50 -0400
Date: Tue, 11 Oct 2022 22:13:59 +0300
Message-Id: <83a662dvgo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Augusto Stoffel <arstoffel@HIDDEN>
In-Reply-To: <8735budxiz.fsf@HIDDEN> (message from Augusto Stoffel on Tue, 
 11 Oct 2022 20:29:24 +0200)
Subject: Re: bug#58447: [PATCH] In project-find-file,
 add absolute file name to history
References: <8735budxiz.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58447
Cc: 58447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Augusto Stoffel <arstoffel@HIDDEN>
> Date: Tue, 11 Oct 2022 20:29:24 +0200
> 
> `project-find-file' and related commands share their history with more
> general commands like `find-file', so they should add the absolute file
> name to history.  Currently, file names relative to the project root are
> added.  The attached patch fixes this.

Shouldn't project.el have its separate history of file names, perhaps
even a project-specific history?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Oct 2022 18:29:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 11 14:29:48 2022
Received: from localhost ([127.0.0.1]:54796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oiK0i-0004qB-Ke
	for submit <at> debbugs.gnu.org; Tue, 11 Oct 2022 14:29:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:38782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arstoffel@HIDDEN>) id 1oiK0f-0004q2-Kv
 for submit <at> debbugs.gnu.org; Tue, 11 Oct 2022 14:29:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44658)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arstoffel@HIDDEN>)
 id 1oiK0R-0005BF-CA
 for bug-gnu-emacs@HIDDEN; Tue, 11 Oct 2022 14:29:40 -0400
Received: from mail-ej1-x632.google.com ([2a00:1450:4864:20::632]:36652)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <arstoffel@HIDDEN>)
 id 1oiK0P-000552-Rp
 for bug-gnu-emacs@HIDDEN; Tue, 11 Oct 2022 14:29:31 -0400
Received: by mail-ej1-x632.google.com with SMTP id 13so33307437ejn.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 11 Oct 2022 11:29:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:subject:to:from:from:to:cc
 :subject:date:message-id:reply-to;
 bh=8CF3Qpw0y07FblKEVQpf/qHoW+TwUMtsMLtLNkTPJ9w=;
 b=JM4tf1VufkzH28Hb4thMNGJbu9aRoXYsZszaMcEXfnBp6ri4+qAB/isO3+/519yOET
 iDEr+NaxZuD/zg1d/OohroJdHoYGnTqczs0cghYlGKNFK9iQZIIcqOE/I5bNDwX3R82R
 AZsNTGuKrOQn5I6yJROgR1n27k+Yj+60sQ7DSgGXXfs1zuHZqiD9FfLT61AUDw6LG0Ki
 XJIeYuergQ2ywmS+qHfULpObP0+kRiLUuVqY9XGp8owE+H7usX0KCLW9WZdnrYsEdh6K
 gLSHKqUnRCTOlp8ZJG4RRmxLINIP8exqSmOmeTg99SwNlOqmXSMlpgeUu8NrNFA4d60N
 CXsg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:subject:to:from
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=8CF3Qpw0y07FblKEVQpf/qHoW+TwUMtsMLtLNkTPJ9w=;
 b=sfdNU3qmvgpCJGVfR7HNXfs48GGSaNKnBD86NVSG2bN9qWQKExpVVDxdOzWj4Uw8S8
 ovuWhUfHmxKxV2dMDbRes/LSxerIyPHjcuSVftFAOd4LFhwtUsmCPPbIlfy9/+56sqzB
 nRHSOLG6R9vBslM15jpA0tjj/Uvc23VjFAOB9pQQAF8RI+hMqhMSlDIYhKnzwSbvm7Bs
 V358w8m6IYWXFNZntgET2ezuqk6Dn9DFA0O8n3BoxATwe27XKx/RrseZKBbIj75uJi14
 UbcTJ8Bu6q05+tswESqRqJTMQEu7MSXO91LUWJzTZSvL/kzroQJQSZJLwRY/nYGYZ4k5
 phTQ==
X-Gm-Message-State: ACrzQf1ZW7htw/pO25AevDJckX1wky3i7tCkJHgKNA/1x7xb4G4skahB
 Wi+WH+Ptbcx9wxNcTguiEW107Yu8Ycw=
X-Google-Smtp-Source: AMsMyM6nRa0swhVOhD1RaHO5Od1/epkZUzvPteE8JFCUm2B2KvToxVtDx/mq5VVeMhq77vsgCn8RTQ==
X-Received: by 2002:a17:907:2daa:b0:78d:4dca:43e with SMTP id
 gt42-20020a1709072daa00b0078d4dca043emr19941908ejc.134.1665512966351; 
 Tue, 11 Oct 2022 11:29:26 -0700 (PDT)
Received: from ars3 ([2a02:8109:8ac0:56d0::89aa])
 by smtp.gmail.com with ESMTPSA id
 dy4-20020a05640231e400b00457618d3409sm9491797edb.68.2022.10.11.11.29.24
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 11 Oct 2022 11:29:25 -0700 (PDT)
From: Augusto Stoffel <arstoffel@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: [PATCH] In project-find-file, add absolute file name to history
Date: Tue, 11 Oct 2022 20:29:24 +0200
Message-ID: <8735budxiz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2a00:1450:4864:20::632;
 envelope-from=arstoffel@HIDDEN; helo=mail-ej1-x632.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain

Tags: patch

`project-find-file' and related commands share their history with more
general commands like `find-file', so they should add the absolute file
name to history.  Currently, file names relative to the project root are
added.  The attached patch fixes this.

I've also replaced `concat' with `expand-file-name' at a certain point.
I see no reason why one shouldn't do that, but please have a look.


--=-=-=
Content-Type: text/patch
Content-Disposition: attachment;
 filename=0001-In-project-find-file-and-the-like-add-absolute-file-.patch

From 699732687f559c7984e76310971094f251423d5d Mon Sep 17 00:00:00 2001
From: Augusto Stoffel <arstoffel@HIDDEN>
Date: Tue, 11 Oct 2022 20:21:34 +0200
Subject: [PATCH] In project-find-file and the like, add absolute file name to
 history

* lisp/progmodes/project.el (project--read-file-cpd-relative): Add
absolute file name to history.
---
 lisp/progmodes/project.el | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/lisp/progmodes/project.el b/lisp/progmodes/project.el
index ee94d0d85d..95087ae6a8 100644
--- a/lisp/progmodes/project.el
+++ b/lisp/progmodes/project.el
@@ -931,11 +931,15 @@ project--read-file-cpd-relative
          (_ (when included-cpd
               (setq substrings (cons "./" substrings))))
          (new-collection (project--file-completion-table substrings))
-         (res (project--completing-read-strict prompt
-                                               new-collection
-                                               predicate
-                                               hist mb-default)))
-    (concat common-parent-directory res)))
+         (relname (let ((history-add-new-input nil))
+                    (project--completing-read-strict prompt
+                                                     new-collection
+                                                     predicate
+                                                     hist mb-default)))
+         (absname (expand-file-name relname common-parent-directory)))
+    (when (and hist history-add-new-input)
+      (add-to-history hist absname))
+    absname))
 
 (defun project--read-file-absolute (prompt
                                     all-files &optional predicate
-- 
2.37.3


--=-=-=--




Acknowledgement sent to Augusto Stoffel <arstoffel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58447; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 1 Nov 2022 22:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.